!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 16:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_3869) = cima*gs
    coupl(nGC_5443) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_5442) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_5445) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_5444) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_5447) = cima*ee/(3d0*cw)
    coupl(nGC_5446) = cima*ee*sw/(3d0*cw)
    coupl(nGC_5396) = -sqrt(2d0)/2d0
    coupl(nGC_69) = -cima*ym
    coupl(nGC_5346) = 4d0*cima*ee**2d0
    coupl(nGC_5347) = -cima*ee**2d0/cw
    coupl(nGC_5344) = sqrt(2d0)/2d0
    coupl(nGC_5345) = 2d0*cima*ee**2d0
    coupl(nGC_5342) = cima*ee
    coupl(nGC_5343) = -gs
    coupl(nGC_5348) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_5349) = -ee**2d0/cw
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_28) = ee**2d0/(2d0*sw)
    coupl(nGC_29) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_22) = ee/(2d0*sw)
    coupl(nGC_23) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_20) = -cima*ee/(2d0*sw)
    coupl(nGC_21) = cima*ee/(2d0*sw)
    coupl(nGC_26) = -ee**2d0/(2d0*sw)
    coupl(nGC_27) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_24) = -cima*cw*ee/sw
    coupl(nGC_25) = cima*cw*ee/sw
    coupl(nGC_988) = -coupl(nGC_21)
    coupl(nGC_5366) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_37) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
    coupl(nGC_5405) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_5441) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_5407) = ee/(2d0*sw)
    coupl(nGC_5406) = -sqrt(2d0)*cima/2d0
    coupl(nGC_5401) = -cima*ee**2d0/sw**3d0
    coupl(nGC_5400) = cima*ee**2d0/sw**2d0
    coupl(nGC_5403) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_5402) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_5409) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_5408) = -ee/(2d0*sw**2d0)
    coupl(nGC_128) = -coupl(nGC_24)
    coupl(nGC_84) = sqrt(2d0)*ytau/2d0
    coupl(nGC_5449) = cima*ee*sw/cw
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_75) = -sqrt(2d0)*cima*ys/2d0
    coupl(nGC_74) = -sqrt(2d0)*ys/2d0
    coupl(nGC_77) = cima*yt
    coupl(nGC_73) = -cima*ys
    coupl(nGC_86) = -sqrt(2d0)*yup/2d0
    coupl(nGC_71) = -sqrt(2d0)*cima*ym/2d0
    coupl(nGC_72) = sqrt(2d0)*ym/2d0
    coupl(nGC_I) = cima
    coupl(nGC_292) = -coupl(nGC_22)
    coupl(nGC_3) = -cima*ee
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_7) = -ee**2d0/(2d0*cw)
    coupl(nGC_6) = 2d0*cima*ee**2d0
    coupl(nGC_5) = cima*ee**2d0
    coupl(nGC_4) = cima*ee
    coupl(nGC_5377) = -sqrt(2d0)*cima/2d0
    coupl(nGC_5376) = -sqrt(2d0)/2d0
    coupl(nGC_9) = ee**2d0/(2d0*cw)
    coupl(nGC_8) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_5373) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_5372) = -cima*ee**2d0*vev/sw
    coupl(nGC_5371) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_5370) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_53) = -cima*yb
    coupl(nGC_52) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev  &
                     + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_51) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_50) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_57) = cima*yc
    coupl(nGC_56) = sqrt(2d0)*yb/2d0
    coupl(nGC_55) = -sqrt(2d0)*cima*yb/2d0
    coupl(nGC_54) = -sqrt(2d0)*yb/2d0
    coupl(nGC_59) = -sqrt(2d0)*cima*yc/2d0
    coupl(nGC_58) = -sqrt(2d0)*yc/2d0
    coupl(nGC_46) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_12) = cima*gs**2d0
    coupl(nGC_11) = cima*gs
    coupl(nGC_40) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_10) = -gs
    coupl(nGC_41) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_5456) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_5454) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_5455) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_5452) = -sqrt(2d0)/2d0
    coupl(nGC_5453) = -2d0*cima*ee/3d0
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_5451) = -cima*ee*sw/cw**2d0
    coupl(nGC_3887) = -cima/(2d0*cMW)
    coupl(nGC_3885) = cima/(2d0*cMW)
    coupl(nGC_45) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_464) = -coupl(nGC_40)
    coupl(nGC_262) = -coupl(nGC_4)
    coupl(nGC_17) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_16) = cMW*cima*ee
    coupl(nGC_15) = -3d0*cima*lam/2d0
    coupl(nGC_14) = -cima*lam
    coupl(nGC_13) = -cima*lam/2d0
    coupl(nGC_19) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_18) = -cima*ee**2d0/sw**2d0
    coupl(nGC_5485) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_5484) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_5486) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_5481) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_5480) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_638) = -coupl(nGC_37)
    coupl(nGC_890) = -coupl(nGC_20)
    coupl(nGC_5410) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_5411) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_5416) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3889) = 1d0/(2d0*cMZ)
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_5375) = sqrt(2d0)/2d0
    coupl(nGC_962) = 2d0*coupl(nGC_12)
    coupl(nGC_5374) = -sqrt(2d0)*cima/2d0
    coupl(nGC_5440) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_5394) = -sqrt(2d0)*cima/2d0
    coupl(nGC_5467) = cima*cw*ee/sw**2d0
    coupl(nGC_5466) = -cima*cw*ee/sw
    coupl(nGC_5465) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_5464) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_5463) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_5461) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_5468) = -cima*ee/sw
    coupl(nGC_85) = cima*yup
    coupl(nGC_5483) = -cima*ee
    coupl(nGC_5368) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_5367) = -sqrt(2d0)/2d0
    coupl(nGC_5360) = -cima*ee**2d0*vev/cw
    coupl(nGC_5361) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_5362) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_5363) = -sqrt(2d0)/2d0
    coupl(nGC_352) = -coupl(nGC_3)
    coupl(nGC_5482) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_5412) = cima*ee/(2d0*sw)
    coupl(nGC_5413) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_956) = -2d0*coupl(nGC_12)
    coupl(nGC_48) = -cima*lam*vev/2d0
    coupl(nGC_49) = -3d0*cima*lam*vev/2d0
    coupl(nGC_44) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
    coupl(nGC_42) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_43) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
    coupl(nGC_5448) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_172) = -coupl(nGC_25)
    coupl(nGC_5418) = cima*cw*ee/sw
    coupl(nGC_5419) = -cima*cw*ee/sw**2d0
    coupl(nGC_5429) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_5423) = -cima*ee**2d0/sw
    coupl(nGC_5422) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_5421) = -ee**2d0/sw
    coupl(nGC_5420) = cima*ee/sw
    coupl(nGC_5426) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_5425) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_5424) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_88) = sqrt(2d0)*yup/2d0
    coupl(nGC_70) = -sqrt(2d0)*ym/2d0
    coupl(nGC_5364) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_5365) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_87) = -sqrt(2d0)*cima*yup/2d0
    coupl(nGC_5395) = sqrt(2d0)/2d0
    coupl(nGC_5397) = -3d0*cima/2d0
    coupl(nGC_5391) = -sqrt(2d0)/2d0
    coupl(nGC_5390) = sqrt(2d0)/2d0
    coupl(nGC_5393) = 2d0*cima*gs**2d0
    coupl(nGC_5392) = sqrt(2d0)/2d0
    coupl(nGC_5399) = cMW*cima*ee
    coupl(nGC_5398) = cima*ee/(2d0*cMW)
    coupl(nGC_76) = sqrt(2d0)*ys/2d0
    coupl(nGC_79) = -sqrt(2d0)*cima*yt/2d0
    coupl(nGC_78) = -sqrt(2d0)*yt/2d0
    coupl(nGC_5369) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_492) = -2d0*coupl(nGC_18)
    coupl(nGC_5474) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_5475) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_5477) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_5470) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_5471) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_5472) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_5473) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_5478) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_5476) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_5417) = sqrt(2d0)/2d0
    coupl(nGC_5414) = -sqrt(2d0)*cima/2d0
    coupl(nGC_5415) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_5462) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_5460) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_80) = sqrt(2d0)*yt/2d0
    coupl(nGC_82) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_5359) = -3d0*cima*lam/2d0
    coupl(nGC_5358) = -3d0*cima*vev/2d0
    coupl(nGC_5353) = -cima/2d0
    coupl(nGC_5352) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_5355) = -sqrt(2d0)/2d0
    coupl(nGC_5354) = -sqrt(2d0)*cima/2d0
    coupl(nGC_5357) = -cima*lam/2d0
    coupl(nGC_5356) = -cima*vev/2d0
    coupl(nGC_368) = -2d0*coupl(nGC_19)
    coupl(nGC_5351) = ee**2d0/cw
    coupl(nGC_5469) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_5350) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_39) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_38) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_31) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_30) = -cMW*ee/(2d0*sw)
    coupl(nGC_33) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_32) = cMW*ee/(2d0*sw)
    coupl(nGC_35) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_47) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_36) = cima*ee*sw/cw
    coupl(nGC_5458) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_5404) = -cima*ee/(2d0*sw)
    coupl(nGC_5459) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_5457) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_5428) = ee**2d0/sw
    coupl(nGC_67) = -sqrt(2d0)*cima*ye/2d0
    coupl(nGC_5438) = ee/(4d0*cMW*sw)
    coupl(nGC_5439) = cMW*ee/(2d0*sw)
    coupl(nGC_5450) = cima*ee/cw
    coupl(nGC_5430) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_5431) = -ee/(4d0*cMW*sw)
    coupl(nGC_5432) = -cMW*ee/(2d0*sw)
    coupl(nGC_5433) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_5434) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_5435) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_5436) = sqrt(2d0)/2d0
    coupl(nGC_5437) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_MI) = -cima
    coupl(nGC_MH) = -cMH**2d0*cima
    coupl(nGC_60) = sqrt(2d0)*yc/2d0
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_61) = -cima*ydo
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_81) = -cima*ytau
    coupl(nGC_960) = -coupl(nGC_12)
    coupl(nGC_5379) = -sqrt(2d0)/2d0
    coupl(nGC_5479) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_83) = -sqrt(2d0)*cima*ytau/2d0
    coupl(nGC_5378) = -sqrt(2d0)*cima/2d0
    coupl(nGC_5382) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_5383) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**  &
                      2d0)
    coupl(nGC_5380) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_5381) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_5386) = -sqrt(2d0)*cima/2d0
    coupl(nGC_5387) = sqrt(2d0)/2d0
    coupl(nGC_5384) = sqrt(2d0)/2d0
    coupl(nGC_5385) = cima*ee/3d0
    coupl(nGC_5388) = -sqrt(2d0)*cima/2d0
    coupl(nGC_5389) = -sqrt(2d0)/2d0
    coupl(nGC_34) = cima*ee*sw/(3d0*cw)
    coupl(nGC_66) = -sqrt(2d0)*ye/2d0
    coupl(nGC_64) = sqrt(2d0)*ydo/2d0
    coupl(nGC_65) = -cima*ye
    coupl(nGC_62) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_63) = -sqrt(2d0)*cima*ydo/2d0
    coupl(nGC_68) = sqrt(2d0)*ye/2d0
    coupl(nGC_5427) = 2d0*cima*ee**2d0/sw
    coupl(nGC_206) = -coupl(nGC_29)/2d0
    coupl(nGC_198) = -2d0*coupl(nGC_5)
    coupl(nGC_454) = -coupl(nGC_10)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
