!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 16:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  implicit none
  contains
  subroutine fill_vertices_mdl2()
    use class_vertices
    use class_couplings
    allocate(vertices(800)%branch(0:0))
    call av(800, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_33])

    allocate(vertices(801)%branch(0:0))
    call av(801, 0, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_71, nGC_71])

    allocate(vertices(802)%branch(0:0))
    call av(802, 0, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_53, nGC_77])

    allocate(vertices(803)%branch(0:0))
    call av(803, 0, 8, 1, 0, FaFS1, 0, [0, 1], [nGC_81])

    allocate(vertices(804)%branch(0:1))
    call av(804, 0, 40, 4, 0, VFaF1, 0, [1, 0], [nGC_11, nGC_11])

    call av(804, 1, 41, 5, 0, VFaF1, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(805)%branch(0:0))
    call av(805, 0, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_23])

    allocate(vertices(806)%branch(0:0))
    call av(806, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(807)%branch(0:0))
    call av(807, 0, 18, 1, 0, FaSF1, 0, [0, 1], [nGC_73, nGC_57])

    allocate(vertices(808)%branch(0:0))
    call av(808, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_262])

    allocate(vertices(809)%branch(0:0))
    call av(809, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_43])

    allocate(vertices(810)%branch(0:0))
    call av(810, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

    allocate(vertices(811)%branch(0:0))
    call av(811, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_41])

    allocate(vertices(812)%branch(0:1))
    call av(812, 0, 38, 4, 0, VFFa0, 0, [1, 0], [nGC_11, nGC_11])

    call av(812, 1, 39, 5, 0, VFFa0, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(813)%branch(0:0))
    call av(813, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_17])

    allocate(vertices(814)%branch(0:0))
    call av(814, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(815)%branch(0:0))
    call av(815, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_206, nGC_206, nGC_29])

    allocate(vertices(816)%branch(0:0))
    call av(816, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(817)%branch(0:0))
    call av(817, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(818)%branch(0:0))
    call av(818, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(819)%branch(0:0))
    call av(819, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_8])

    allocate(vertices(820)%branch(0:0))
    call av(820, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_75, nGC_75])

    allocate(vertices(821)%branch(0:0))
    call av(821, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_28])

    allocate(vertices(822)%branch(0:0))
    call av(822, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(823)%branch(0:0))
    call av(823, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(824)%branch(0:0))
    call av(824, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_17])

    allocate(vertices(825)%branch(0:0))
    call av(825, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_48])

    allocate(vertices(826)%branch(0:0))
    call av(826, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_31])

    allocate(vertices(827)%branch(0:0))
    call av(827, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_27])

    allocate(vertices(828)%branch(0:0))
    call av(828, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_17])

    allocate(vertices(829)%branch(0:0))
    call av(829, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_890])

    allocate(vertices(830)%branch(0:0))
    call av(830, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(831)%branch(0:0))
    call av(831, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

    allocate(vertices(832)%branch(0:0))
    call av(832, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_16])

    allocate(vertices(833)%branch(0:0))
    call av(833, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_33])

    allocate(vertices(834)%branch(0:0))
    call av(834, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_25])

    allocate(vertices(835)%branch(0:0))
    call av(835, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_6])

    allocate(vertices(836)%branch(0:1))
    call av(836, 0, 36, 4, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

    call av(836, 1, 37, 5, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(837)%branch(0:0))
    call av(837, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_29, nGC_206, nGC_206])

    allocate(vertices(838)%branch(0:0))
    call av(838, 0, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_87, nGC_87])

    allocate(vertices(839)%branch(0:0))
    call av(839, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_8])

    allocate(vertices(840)%branch(0:0))
    call av(840, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_83, nGC_83])

    allocate(vertices(841)%branch(0:0))
    call av(841, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_9])

    allocate(vertices(842)%branch(0:0))
    call av(842, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(843)%branch(0:0))
    call av(843, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_9])

    allocate(vertices(844)%branch(0:1))
    call av(844, 0, 34, 4, 0, FaFV1, 0, [1, 0], [nGC_11, nGC_11])

    call av(844, 1, 35, 5, 0, FaFV1, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(845)%branch(0:0))
    call av(845, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(846)%branch(0:0))
    call av(846, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_51])

    allocate(vertices(847)%branch(0:0))
    call av(847, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_292])

    allocate(vertices(848)%branch(0:0))
    call av(848, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5, nGC_198, nGC_5])

    allocate(vertices(849)%branch(0:0))
    call av(849, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_47])

    allocate(vertices(850)%branch(0:0))
    call av(850, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(851)%branch(0:0))
    call av(851, 0, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_65])

    allocate(vertices(852)%branch(0:0))
    call av(852, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_8])

    allocate(vertices(853)%branch(0:0))
    call av(853, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_262])

    allocate(vertices(854)%branch(0:0))
    call av(854, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_23])

    allocate(vertices(855)%branch(0:0))
    call av(855, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_262])

    allocate(vertices(856)%branch(0:0))
    call av(856, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_28])

    allocate(vertices(857)%branch(0:0))
    call av(857, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_46])

    allocate(vertices(858)%branch(0:0))
    call av(858, 0, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_55, nGC_55])

    allocate(vertices(859)%branch(0:0))
    call av(859, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_84, nGC_82])

    allocate(vertices(860)%branch(0:0))
    call av(860, 0, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_72, nGC_70])

    allocate(vertices(861)%branch(0:0))
    call av(861, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(862)%branch(0:0))
    call av(862, 0, 18, 1, 0, FaSF1, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(863)%branch(0:0))
    call av(863, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(864)%branch(0:0))
    call av(864, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_46])

    allocate(vertices(865)%branch(0:0))
    call av(865, 0, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(866)%branch(0:0))
    call av(866, 0, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(867)%branch(0:0))
    call av(867, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_48])

    allocate(vertices(868)%branch(0:0))
    call av(868, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_988])

    allocate(vertices(869)%branch(0:0))
    call av(869, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_53, nGC_77])

    allocate(vertices(870)%branch(0:0))
    call av(870, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(871)%branch(0:0))
    call av(871, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

    allocate(vertices(872)%branch(0:0))
    call av(872, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(873)%branch(0:0))
    call av(873, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_9])

    allocate(vertices(874)%branch(0:0))
    call av(874, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5, nGC_198, nGC_5])

    allocate(vertices(875)%branch(0:1))
    call av(875, 0, 28, 2, 0, VUUa0, 0, [1, 0], [nGC_454])

    call av(875, 1, 29, 3, 0, VUUa0, 0, [1, 0], [nGC_454])

    allocate(vertices(876)%branch(0:0))
    call av(876, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_172])

    allocate(vertices(877)%branch(0:0))
    call av(877, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_40])

    allocate(vertices(878)%branch(0:0))
    call av(878, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_33])

    allocate(vertices(879)%branch(0:0))
    call av(879, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_17])

    allocate(vertices(880)%branch(0:0))
    call av(880, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_73, nGC_57])

    allocate(vertices(881)%branch(0:1))
    call av(881, 0, 32, 4, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

    call av(881, 1, 33, 5, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(882)%branch(0:0))
    call av(882, 0, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_23])

    allocate(vertices(883)%branch(0:0))
    call av(883, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_16])

    allocate(vertices(884)%branch(0:0))
    call av(884, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(885)%branch(0:0))
    call av(885, 0, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(886)%branch(0:0))
    call av(886, 0, 18, 1, 0, FaSF1, 0, [0, 1], [nGC_78, nGC_80])

    allocate(vertices(887)%branch(0:0))
    call av(887, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_43])

    allocate(vertices(888)%branch(0:0))
    call av(888, 0, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_67, nGC_67])

    allocate(vertices(889)%branch(0:0))
    call av(889, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_23])

    allocate(vertices(890)%branch(0:0))
    call av(890, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_6])

    allocate(vertices(891)%branch(0:0))
    call av(891, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_128])

    allocate(vertices(892)%branch(0:0))
    call av(892, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_41])

    allocate(vertices(893)%branch(0:0))
    call av(893, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_352])

    allocate(vertices(894)%branch(0:0))
    call av(894, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(895)%branch(0:0))
    call av(895, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_33])

    allocate(vertices(896)%branch(0:0))
    call av(896, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_128])

    allocate(vertices(897)%branch(0:0))
    call av(897, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_9])

    allocate(vertices(898)%branch(0:0))
    call av(898, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(899)%branch(0:0))
    call av(899, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_30])

    allocate(vertices(900)%branch(0:0))
    call av(900, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_21])

    allocate(vertices(901)%branch(0:0))
    call av(901, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

    allocate(vertices(902)%branch(0:0))
    call av(902, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_172])

    allocate(vertices(903)%branch(0:0))
    call av(903, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_42])

    allocate(vertices(904)%branch(0:0))
    call av(904, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_50])

    allocate(vertices(905)%branch(0:1))
    call av(905, 0, 40, 4, 0, VFaF1, 0, [1, 0], [nGC_11, nGC_11])

    call av(905, 1, 41, 5, 0, VFaF1, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(906)%branch(0:0))
    call av(906, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(907)%branch(0:0))
    call av(907, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_37])

    allocate(vertices(908)%branch(0:0))
    call av(908, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_17])

    allocate(vertices(909)%branch(0:0))
    call av(909, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

    allocate(vertices(910)%branch(0:5))
    call av(910, 0, 2, 6, 0, VVVV0, 0, [2, 0], [nGC_12, nGC_12, nGC_956])

    call av(910, 1, 3, 6, 0, VVVV0, 0, [2, 0], [nGC_12, nGC_12, nGC_956])

    call av(910, 2, 4, 7, 0, VVVV0, 0, [2, 0], [nGC_962, nGC_960, nGC_960])

    call av(910, 3, 5, 7, 0, VVVV0, 0, [2, 0], [nGC_960, nGC_962, nGC_960])

    call av(910, 4, 6, 7, 0, VVVV0, 0, [2, 0], [nGC_962, nGC_960, nGC_960])

    call av(910, 5, 7, 7, 0, VVVV0, 0, [2, 0], [nGC_960, nGC_962, nGC_960])

    allocate(vertices(911)%branch(0:0))
    call av(911, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_8])

    allocate(vertices(912)%branch(0:0))
    call av(912, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_17])

    allocate(vertices(913)%branch(0:0))
    call av(913, 0, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_79, nGC_79])

    allocate(vertices(914)%branch(0:0))
    call av(914, 0, 20, 1, 0, SFFa1, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(915)%branch(0:0))
    call av(915, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(916)%branch(0:0))
    call av(916, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_27])

    allocate(vertices(917)%branch(0:0))
    call av(917, 0, 19, 1, 0, FaFV1, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(918)%branch(0:0))
    call av(918, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(919)%branch(0:0))
    call av(919, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_890])

    allocate(vertices(920)%branch(0:0))
    call av(920, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(921)%branch(0:0))
    call av(921, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_43])

    allocate(vertices(922)%branch(0:0))
    call av(922, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_17])

    allocate(vertices(923)%branch(0:0))
    call av(923, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_48])

    allocate(vertices(924)%branch(0:1))
    call av(924, 0, 36, 4, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

    call av(924, 1, 37, 5, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(925)%branch(0:0))
    call av(925, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(926)%branch(0:0))
    call av(926, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_352])

    allocate(vertices(927)%branch(0:0))
    call av(927, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(928)%branch(0:0))
    call av(928, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_33])

    allocate(vertices(929)%branch(0:0))
    call av(929, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_8])

    allocate(vertices(930)%branch(0:0))
    call av(930, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_262])

    allocate(vertices(931)%branch(0:0))
    call av(931, 0, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(932)%branch(0:0))
    call av(932, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(933)%branch(0:0))
    call av(933, 0, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(934)%branch(0:0))
    call av(934, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_368, nGC_19, nGC_19])

    allocate(vertices(935)%branch(0:1))
    call av(935, 0, 32, 4, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

    call av(935, 1, 33, 5, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(936)%branch(0:0))
    call av(936, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(937)%branch(0:0))
    call av(937, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_6])

    allocate(vertices(938)%branch(0:0))
    call av(938, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_16])

    allocate(vertices(939)%branch(0:0))
    call av(939, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_41])

    allocate(vertices(940)%branch(0:0))
    call av(940, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(941)%branch(0:0))
    call av(941, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_27])

    allocate(vertices(942)%branch(0:0))
    call av(942, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_28])

    allocate(vertices(943)%branch(0:0))
    call av(943, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_41])

    allocate(vertices(944)%branch(0:0))
    call av(944, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_17])

    allocate(vertices(945)%branch(0:0))
    call av(945, 0, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_81])

    allocate(vertices(946)%branch(0:0))
    call av(946, 0, 8, 1, 0, FaFS2, 0, [0, 1], [nGC_65])

    allocate(vertices(947)%branch(0:0))
    call av(947, 0, 18, 1, 0, FaSF1, 0, [0, 1], [nGC_79, nGC_79])

    allocate(vertices(948)%branch(0:0))
    call av(948, 0, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_69])

    allocate(vertices(949)%branch(0:0))
    call av(949, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_6])

    allocate(vertices(950)%branch(0:0))
    call av(950, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(951)%branch(0:0))
    call av(951, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_262])

    allocate(vertices(952)%branch(0:0))
    call av(952, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5, nGC_5, nGC_198])

    allocate(vertices(953)%branch(0:1))
    call av(953, 0, 38, 4, 0, VFFa0, 0, [1, 0], [nGC_11, nGC_11])

    call av(953, 1, 39, 5, 0, VFFa0, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(954)%branch(0:0))
    call av(954, 0, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(955)%branch(0:0))
    call av(955, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_17])

    allocate(vertices(956)%branch(0:0))
    call av(956, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_29, nGC_206, nGC_206])

    allocate(vertices(957)%branch(0:0))
    call av(957, 0, 18, 1, 0, FaSF1, 0, [0, 1], [nGC_87, nGC_87])

    allocate(vertices(958)%branch(0:0))
    call av(958, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_27])

    allocate(vertices(959)%branch(0:0))
    call av(959, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(960)%branch(0:1))
    call av(960, 0, 24, 2, 0, UVUa0, 0, [1, 0], [nGC_454])

    call av(960, 1, 25, 3, 0, UVUa0, 0, [1, 0], [nGC_454])

    allocate(vertices(961)%branch(0:0))
    call av(961, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(962)%branch(0:0))
    call av(962, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_25])

    allocate(vertices(963)%branch(0:0))
    call av(963, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_9])

    allocate(vertices(964)%branch(0:0))
    call av(964, 0, 19, 1, 0, FaFV0, 0, [0, 1], [nGC_23])

    allocate(vertices(965)%branch(0:0))
    call av(965, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_30])

    allocate(vertices(966)%branch(0:0))
    call av(966, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_352])

    allocate(vertices(967)%branch(0:0))
    call av(967, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_27])

    allocate(vertices(968)%branch(0:0))
    call av(968, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_47])

    allocate(vertices(969)%branch(0:0))
    call av(969, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_206, nGC_29, nGC_206])

    allocate(vertices(970)%branch(0:0))
    call av(970, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_172])

    allocate(vertices(971)%branch(0:0))
    call av(971, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(972)%branch(0:0))
    call av(972, 0, 18, 1, 0, FaSF1, 0, [0, 1], [nGC_56, nGC_54])

    allocate(vertices(973)%branch(0:0))
    call av(973, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_19, nGC_19, nGC_368])

    allocate(vertices(974)%branch(0:0))
    call av(974, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_172])

    allocate(vertices(975)%branch(0:0))
    call av(975, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_51])

    allocate(vertices(976)%branch(0:0))
    call av(976, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(977)%branch(0:0))
    call av(977, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_42])

    allocate(vertices(978)%branch(0:0))
    call av(978, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_45])

    allocate(vertices(979)%branch(0:0))
    call av(979, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_42])

    allocate(vertices(980)%branch(0:0))
    call av(980, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_44])

    allocate(vertices(981)%branch(0:0))
    call av(981, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_27])

    allocate(vertices(982)%branch(0:0))
    call av(982, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_32])

    allocate(vertices(983)%branch(0:0))
    call av(983, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(984)%branch(0:0))
    call av(984, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_172])

    allocate(vertices(985)%branch(0:0))
    call av(985, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_8])

    allocate(vertices(986)%branch(0:0))
    call av(986, 0, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_69])

    allocate(vertices(987)%branch(0:0))
    call av(987, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_71, nGC_71])

    allocate(vertices(988)%branch(0:0))
    call av(988, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_16])

    allocate(vertices(989)%branch(0:0))
    call av(989, 0, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_67, nGC_67])

    allocate(vertices(990)%branch(0:1))
    call av(990, 0, 0, 2, 0, UaUV0, 0, [1, 0], [nGC_454])

    call av(990, 1, 1, 3, 0, UaUV0, 0, [1, 0], [nGC_454])

    allocate(vertices(991)%branch(0:0))
    call av(991, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(992)%branch(0:0))
    call av(992, 0, 19, 1, 0, FaFV1, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(993)%branch(0:0))
    call av(993, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5, nGC_198, nGC_5])

    allocate(vertices(994)%branch(0:0))
    call av(994, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_198, nGC_5, nGC_5])

    allocate(vertices(995)%branch(0:0))
    call av(995, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(996)%branch(0:0))
    call av(996, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(997)%branch(0:0))
    call av(997, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_8])

    allocate(vertices(998)%branch(0:0))
    call av(998, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(999)%branch(0:0))
    call av(999, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_56, nGC_54])

    allocate(vertices(1000)%branch(0:0))
    call av(1000, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_67, nGC_67])

    allocate(vertices(1001)%branch(0:0))
    call av(1001, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_17])

    allocate(vertices(1002)%branch(0:0))
    call av(1002, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_7])

    allocate(vertices(1003)%branch(0:0))
    call av(1003, 0, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_65])

    allocate(vertices(1004)%branch(0:0))
    call av(1004, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_25])

    allocate(vertices(1005)%branch(0:0))
    call av(1005, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_17])

    allocate(vertices(1006)%branch(0:0))
    call av(1006, 0, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_68, nGC_66])

    allocate(vertices(1007)%branch(0:0))
    call av(1007, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_18, nGC_492, nGC_18])

    allocate(vertices(1008)%branch(0:0))
    call av(1008, 0, 19, 1, 0, FaFS0, 0, [0, 1], [nGC_59, nGC_59])

    allocate(vertices(1009)%branch(0:0))
    call av(1009, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_27])

    allocate(vertices(1010)%branch(0:0))
    call av(1010, 0, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_86, nGC_88])

    allocate(vertices(1011)%branch(0:0))
    call av(1011, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_9])

    allocate(vertices(1012)%branch(0:0))
    call av(1012, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_33])

    allocate(vertices(1013)%branch(0:0))
    call av(1013, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_262])

    allocate(vertices(1014)%branch(0:0))
    call av(1014, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_47])

    allocate(vertices(1015)%branch(0:0))
    call av(1015, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_17])

    allocate(vertices(1016)%branch(0:0))
    call av(1016, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_41])

    allocate(vertices(1017)%branch(0:0))
    call av(1017, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_46])

    allocate(vertices(1018)%branch(0:0))
    call av(1018, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_27])

    allocate(vertices(1019)%branch(0:0))
    call av(1019, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(1020)%branch(0:0))
    call av(1020, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_262])

    allocate(vertices(1021)%branch(0:0))
    call av(1021, 0, 20, 1, 0, SFFa1, 0, [0, 1], [nGC_55, nGC_55])

    allocate(vertices(1022)%branch(0:0))
    call av(1022, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_48])

    allocate(vertices(1023)%branch(0:0))
    call av(1023, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_368, nGC_19, nGC_19])

    allocate(vertices(1024)%branch(0:0))
    call av(1024, 0, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_84, nGC_82])

    allocate(vertices(1025)%branch(0:0))
    call av(1025, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_172])

    allocate(vertices(1026)%branch(0:0))
    call av(1026, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_31])

    allocate(vertices(1027)%branch(0:0))
    call av(1027, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_17])

    allocate(vertices(1028)%branch(0:0))
    call av(1028, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(1029)%branch(0:0))
    call av(1029, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(1030)%branch(0:0))
    call av(1030, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_27])

    allocate(vertices(1031)%branch(0:0))
    call av(1031, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_20])

    allocate(vertices(1032)%branch(0:0))
    call av(1032, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_262])

    allocate(vertices(1033)%branch(0:0))
    call av(1033, 0, 17, 1, 0, FSFa1, 0, [0, 1], [nGC_59, nGC_59])

    allocate(vertices(1034)%branch(0:1))
    call av(1034, 0, 11, 4, 0, FFaV0, 0, [1, 0], [nGC_11, nGC_11])

    call av(1034, 1, 12, 5, 0, FFaV0, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(1035)%branch(0:0))
    call av(1035, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_31])

    allocate(vertices(1036)%branch(0:0))
    call av(1036, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_21])

    allocate(vertices(1037)%branch(0:0))
    call av(1037, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_492, nGC_18, nGC_18])

    allocate(vertices(1038)%branch(0:0))
    call av(1038, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_262])

    allocate(vertices(1039)%branch(0:0))
    call av(1039, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_352])

    allocate(vertices(1040)%branch(0:0))
    call av(1040, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_30])

    allocate(vertices(1041)%branch(0:0))
    call av(1041, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_17])

    allocate(vertices(1042)%branch(0:0))
    call av(1042, 0, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(1043)%branch(0:0))
    call av(1043, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14])

    allocate(vertices(1044)%branch(0:0))
    call av(1044, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(1045)%branch(0:0))
    call av(1045, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_172])

    allocate(vertices(1046)%branch(0:1))
    call av(1046, 0, 38, 4, 0, VFFa0, 0, [1, 0], [nGC_11, nGC_11])

    call av(1046, 1, 39, 5, 0, VFFa0, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(1047)%branch(0:0))
    call av(1047, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_42])

    allocate(vertices(1048)%branch(0:0))
    call av(1048, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_206, nGC_206, nGC_29])

    allocate(vertices(893)%branchCT(0:0))
    call avCT(893, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7184])

    allocate(vertices(1)%branchCT(0:0))
    call avCT(1, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7188])

    allocate(vertices(8)%branchCT(0:0))
    call avCT(8, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7191])

    allocate(vertices(3)%branchCT(0:0))
    call avCT(3, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(4)%branchCT(0:0))
    call avCT(4, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_7198])

    allocate(vertices(5)%branchCT(0:0))
    call avCT(5, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(6)%branchCT(0:0))
    call avCT(6, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(7)%branchCT(0:0))
    call avCT(7, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_7208])

    allocate(vertices(2)%branchCT(0:1))
    call avCT(2, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_7218, nGC_7219])

    call avCT(2, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_7214, nGC_7211])

    allocate(vertices(10)%branchCT(0:0))
    call avCT(10, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7223])

    allocate(vertices(11)%branchCT(0:1))
    call avCT(11, 0, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_7232, nGC_7233])

    call avCT(11, 1, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_7234, nGC_7235])

    allocate(vertices(12)%branchCT(0:0))
    call avCT(12, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7188])

    allocate(vertices(13)%branchCT(0:0))
    call avCT(13, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_7241])

    allocate(vertices(1049)%branchCT(0:0))
    call avCT(1049, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_7244])

    allocate(vertices(14)%branchCT(0:0))
    call avCT(14, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7247])

    allocate(vertices(15)%branchCT(0:0))
    call avCT(15, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(16)%branchCT(0:0))
    call avCT(16, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7254])

    allocate(vertices(17)%branchCT(0:0))
    call avCT(17, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7259])

    allocate(vertices(18)%branchCT(0:0))
    call avCT(18, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7188])

    allocate(vertices(526)%branchCT(0:0))
    call avCT(526, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(20)%branchCT(0:0))
    call avCT(20, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7247])

    allocate(vertices(1050)%branchCT(0:0))
    call avCT(1050, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_7268])

    allocate(vertices(22)%branchCT(0:0))
    call avCT(22, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7275])

    allocate(vertices(24)%branchCT(0:0))
    call avCT(24, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7283, nGC_7284])

    allocate(vertices(838)%branchCT(0:1))
    call avCT(838, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_7292, nGC_7292])

    call avCT(838, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_7294, nGC_7294])

    allocate(vertices(26)%branchCT(0:1))
    call avCT(26, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_7304, nGC_7303])

    call avCT(26, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_7306, nGC_7305])

    allocate(vertices(1051)%branchCT(0:0))
    call avCT(1051, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7307])

    allocate(vertices(1023)%branchCT(0:0))
    call avCT(1023, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7312, nGC_7313, nGC_7313&
    ])

    allocate(vertices(618)%branchCT(0:0))
    call avCT(618, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7317])

    allocate(vertices(29)%branchCT(0:0))
    call avCT(29, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(30)%branchCT(0:0))
    call avCT(30, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7324])

    allocate(vertices(31)%branchCT(0:1))
    call avCT(31, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_7336, nGC_7337])

    call avCT(31, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_7328, nGC_7331])

    allocate(vertices(32)%branchCT(0:0))
    call avCT(32, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7259])

    allocate(vertices(33)%branchCT(0:1))
    call avCT(33, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_7349, nGC_7349])

    call avCT(33, 1, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_7351, nGC_7351])

    allocate(vertices(34)%branchCT(0:0))
    call avCT(34, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7356, nGC_7357, nGC_7356])

    allocate(vertices(35)%branchCT(0:0))
    call avCT(35, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7360])

    allocate(vertices(36)%branchCT(0:1))
    call avCT(36, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7218, nGC_7219])

    call avCT(36, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7214, nGC_7211])

    allocate(vertices(37)%branchCT(0:0))
    call avCT(37, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(38)%branchCT(0:0))
    call avCT(38, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7376, nGC_7375])

    allocate(vertices(39)%branchCT(0:0))
    call avCT(39, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7383, nGC_7383, nGC_7384])

    allocate(vertices(839)%branchCT(0:0))
    call avCT(839, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(42)%branchCT(0:0))
    call avCT(42, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(43)%branchCT(0:0))
    call avCT(43, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(723)%branchCT(0:0))
    call avCT(723, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7188])

    allocate(vertices(44)%branchCT(0:0))
    call avCT(44, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7405, nGC_7406])

    allocate(vertices(45)%branchCT(0:1))
    call avCT(45, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7418, nGC_7419])

    call avCT(45, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7413, nGC_7408])

    allocate(vertices(46)%branchCT(0:0))
    call avCT(46, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7423])

    allocate(vertices(47)%branchCT(0:0))
    call avCT(47, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_7376, nGC_7375])

    allocate(vertices(49)%branchCT(0:0))
    call avCT(49, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7431])

    allocate(vertices(273)%branchCT(0:0))
    call avCT(273, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7223])

    allocate(vertices(768)%branchCT(0:0))
    call avCT(768, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7254])

    allocate(vertices(51)%branchCT(0:0))
    call avCT(51, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7439])

    allocate(vertices(52)%branchCT(0:1))
    call avCT(52, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_7443])

    call avCT(52, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_7442])

    allocate(vertices(53)%branchCT(0:0))
    call avCT(53, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7423])

    allocate(vertices(286)%branchCT(0:0))
    call avCT(286, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7312, nGC_7313, nGC_7313])

    allocate(vertices(55)%branchCT(0:0))
    call avCT(55, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_7452])

    allocate(vertices(56)%branchCT(0:0))
    call avCT(56, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7275])

    allocate(vertices(57)%branchCT(0:0))
    call avCT(57, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7458])

    allocate(vertices(58)%branchCT(0:0))
    call avCT(58, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7360])

    allocate(vertices(59)%branchCT(0:0))
    call avCT(59, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7465])

    allocate(vertices(60)%branchCT(0:0))
    call avCT(60, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7469])

    allocate(vertices(61)%branchCT(0:0))
    call avCT(61, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7431])

    allocate(vertices(62)%branchCT(0:0))
    call avCT(62, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7475])

    allocate(vertices(63)%branchCT(0:0))
    call avCT(63, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7484, nGC_7485])

    allocate(vertices(64)%branchCT(0:1))
    call avCT(64, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7489])

    call avCT(64, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7488])

    allocate(vertices(843)%branchCT(0:0))
    call avCT(843, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7223])

    allocate(vertices(65)%branchCT(0:3))
    call avCT(65, 0, 34, 4, 0, FaFV1, 0, [1, 2], [nGC_7497, nGC_7495])

    call avCT(65, 1, 34, 4, 0, FaFV1, 0, [3, 0], [nGC_7500, nGC_7501])

    call avCT(65, 2, 35, 5, 0, FaFV1, 0, [1, 2], [nGC_7497, nGC_7495])

    call avCT(65, 3, 35, 5, 0, FaFV1, 0, [3, 0], [nGC_7500, nGC_7501])

    allocate(vertices(66)%branchCT(0:0))
    call avCT(66, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7512])

    allocate(vertices(1052)%branchCT(0:0))
    call avCT(1052, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_7517, nGC_7514, nGC_7518&
    , nGC_7518])

    allocate(vertices(68)%branchCT(0:0))
    call avCT(68, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7317])

    allocate(vertices(679)%branchCT(0:1))
    call avCT(679, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7527, nGC_7522])

    call avCT(679, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7531, nGC_7532])

    allocate(vertices(1053)%branchCT(0:0))
    call avCT(1053, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

    allocate(vertices(70)%branchCT(0:0))
    call avCT(70, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7537])

    allocate(vertices(71)%branchCT(0:1))
    call avCT(71, 0, 30, 2, 0, VUaU0, 0, [3, 0], [nGC_7541])

    call avCT(71, 1, 31, 3, 0, VUaU0, 0, [3, 0], [nGC_7541])

    allocate(vertices(389)%branchCT(0:1))
    call avCT(389, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_7553, nGC_7554])

    call avCT(389, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_7549, nGC_7546])

    allocate(vertices(73)%branchCT(0:1))
    call avCT(73, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_7303, nGC_7304])

    call avCT(73, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_7305, nGC_7306])

    allocate(vertices(74)%branchCT(0:0))
    call avCT(74, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(75)%branchCT(0:1))
    call avCT(75, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_7575, nGC_7574])

    call avCT(75, 1, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_7577, nGC_7576])

    allocate(vertices(76)%branchCT(0:0))
    call avCT(76, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(77)%branchCT(0:1))
    call avCT(77, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7590, nGC_7591])

    call avCT(77, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7592, nGC_7593])

    allocate(vertices(78)%branchCT(0:0))
    call avCT(78, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7452])

    allocate(vertices(189)%branchCT(0:3))
    call avCT(189, 0, 34, 4, 0, FaFV1, 0, [1, 2], [nGC_7600, nGC_7598])

    call avCT(189, 1, 34, 4, 0, FaFV1, 0, [3, 0], [nGC_7602, nGC_7603])

    call avCT(189, 2, 35, 5, 0, FaFV1, 0, [1, 2], [nGC_7600, nGC_7598])

    call avCT(189, 3, 35, 5, 0, FaFV1, 0, [3, 0], [nGC_7602, nGC_7603])

    allocate(vertices(1054)%branchCT(0:0))
    call avCT(1054, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7307])

    allocate(vertices(80)%branchCT(0:1))
    call avCT(80, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_7620, nGC_7619])

    call avCT(80, 1, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_7622, nGC_7621])

    allocate(vertices(81)%branchCT(0:1))
    call avCT(81, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_7218, nGC_7219])

    call avCT(81, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_7214, nGC_7211])

    allocate(vertices(82)%branchCT(0:1))
    call avCT(82, 0, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_7638, nGC_7639])

    call avCT(82, 1, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_7640, nGC_7641])

    allocate(vertices(83)%branchCT(0:1))
    call avCT(83, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_7292, nGC_7292])

    call avCT(83, 1, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_7294, nGC_7294])

    allocate(vertices(793)%branchCT(0:1))
    call avCT(793, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_7658, nGC_7659])

    call avCT(793, 1, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_7655, nGC_7652])

    allocate(vertices(84)%branchCT(0:0))
    call avCT(84, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7223])

    allocate(vertices(85)%branchCT(0:1))
    call avCT(85, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_7489])

    call avCT(85, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_7488])

    allocate(vertices(86)%branchCT(0:0))
    call avCT(86, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7668])

    allocate(vertices(87)%branchCT(0:0))
    call avCT(87, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7537])

    allocate(vertices(88)%branchCT(0:0))
    call avCT(88, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_7208])

    allocate(vertices(89)%branchCT(0:0))
    call avCT(89, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7676])

    allocate(vertices(90)%branchCT(0:0))
    call avCT(90, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_7208])

    allocate(vertices(91)%branchCT(0:1))
    call avCT(91, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_7575, nGC_7574])

    call avCT(91, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_7577, nGC_7576])

    allocate(vertices(92)%branchCT(0:0))
    call avCT(92, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_7692, nGC_7692])

    allocate(vertices(502)%branchCT(0:0))
    call avCT(502, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7697])

    allocate(vertices(94)%branchCT(0:1))
    call avCT(94, 0, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_7590, nGC_7591])

    call avCT(94, 1, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_7592, nGC_7593])

    allocate(vertices(95)%branchCT(0:3))
    call avCT(95, 0, 36, 4, 0, FaVF0, 0, [1, 2], [nGC_7708, nGC_7710])

    call avCT(95, 1, 36, 4, 0, FaVF0, 0, [3, 0], [nGC_7712, nGC_7713])

    call avCT(95, 2, 37, 5, 0, FaVF0, 0, [1, 2], [nGC_7708, nGC_7710])

    call avCT(95, 3, 37, 5, 0, FaVF0, 0, [3, 0], [nGC_7712, nGC_7713])

    allocate(vertices(96)%branchCT(0:0))
    call avCT(96, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7360])

    allocate(vertices(97)%branchCT(0:0))
    call avCT(97, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7724])

    allocate(vertices(858)%branchCT(0:1))
    call avCT(858, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_7732, nGC_7732])

    call avCT(858, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_7734, nGC_7734])

    allocate(vertices(854)%branchCT(0:0))
    call avCT(854, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7452])

    allocate(vertices(176)%branchCT(0:0))
    call avCT(176, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_7741, nGC_7742])

    allocate(vertices(514)%branchCT(0:0))
    call avCT(514, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7323])

    allocate(vertices(875)%branchCT(0:1))
    call avCT(875, 0, 28, 2, 0, VUUa0, 0, [3, 0], [nGC_7541])

    call avCT(875, 1, 29, 3, 0, VUUa0, 0, [3, 0], [nGC_7541])

    allocate(vertices(102)%branchCT(0:3))
    call avCT(102, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_7753, nGC_7749])

    call avCT(102, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_7755, nGC_7756])

    call avCT(102, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_7753, nGC_7749])

    call avCT(102, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_7755, nGC_7756])

    allocate(vertices(1055)%branchCT(0:0))
    call avCT(1055, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

    allocate(vertices(103)%branchCT(0:1))
    call avCT(103, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_7489])

    call avCT(103, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_7488])

    allocate(vertices(104)%branchCT(0:0))
    call avCT(104, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7383, nGC_7384, nGC_7383])

    allocate(vertices(105)%branchCT(0:1))
    call avCT(105, 0, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_7778, nGC_7778])

    call avCT(105, 1, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_7780, nGC_7780])

    allocate(vertices(106)%branchCT(0:0))
    call avCT(106, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5810])

    allocate(vertices(1056)%branchCT(0:1))
    call avCT(1056, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_7790, nGC_7786, nGC_7792&
    , nGC_7792])

    call avCT(1056, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_7791, nGC_7787, nGC_7793&
    , nGC_7793])

    allocate(vertices(107)%branchCT(0:1))
    call avCT(107, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_7797])

    call avCT(107, 1, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_7796])

    allocate(vertices(855)%branchCT(0:0))
    call avCT(855, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7512])

    allocate(vertices(109)%branchCT(0:0))
    call avCT(109, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7313, nGC_7312])

    allocate(vertices(110)%branchCT(0:0))
    call avCT(110, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_7741, nGC_7742])

    allocate(vertices(111)%branchCT(0:0))
    call avCT(111, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_7208])

    allocate(vertices(112)%branchCT(0:0))
    call avCT(112, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7383, nGC_7384, nGC_7383])

    allocate(vertices(113)%branchCT(0:0))
    call avCT(113, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7223])

    allocate(vertices(357)%branchCT(0:1))
    call avCT(357, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_7826, nGC_7827])

    call avCT(357, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_7820, nGC_7823])

    allocate(vertices(519)%branchCT(0:0))
    call avCT(519, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7202])

    allocate(vertices(116)%branchCT(0:0))
    call avCT(116, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7360])

    allocate(vertices(117)%branchCT(0:0))
    call avCT(117, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7324])

    allocate(vertices(118)%branchCT(0:0))
    call avCT(118, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7202])

    allocate(vertices(119)%branchCT(0:0))
    call avCT(119, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_7208])

    allocate(vertices(668)%branchCT(0:1))
    call avCT(668, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_7349, nGC_7349])

    call avCT(668, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_7351, nGC_7351])

    allocate(vertices(121)%branchCT(0:0))
    call avCT(121, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7469])

    allocate(vertices(358)%branchCT(0:0))
    call avCT(358, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_7851])

    allocate(vertices(123)%branchCT(0:0))
    call avCT(123, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7856])

    allocate(vertices(1057)%branchCT(0:0))
    call avCT(1057, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7857])

    allocate(vertices(124)%branchCT(0:0))
    call avCT(124, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(1058)%branchCT(0:0))
    call avCT(1058, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_7861])

    allocate(vertices(125)%branchCT(0:0))
    call avCT(125, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(857)%branchCT(0:0))
    call avCT(857, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7254])

    allocate(vertices(127)%branchCT(0:0))
    call avCT(127, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7869])

    allocate(vertices(128)%branchCT(0:1))
    call avCT(128, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_7232, nGC_7233])

    call avCT(128, 1, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_7234, nGC_7235])

    allocate(vertices(129)%branchCT(0:0))
    call avCT(129, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7384, nGC_7383, nGC_7383])

    allocate(vertices(711)%branchCT(0:1))
    call avCT(711, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_7889, nGC_7889])

    call avCT(711, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_7891, nGC_7891])

    allocate(vertices(132)%branchCT(0:1))
    call avCT(132, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_7900, nGC_7901])

    call avCT(132, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_7902, nGC_7903])

    allocate(vertices(361)%branchCT(0:0))
    call avCT(361, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7223])

    allocate(vertices(1059)%branchCT(0:0))
    call avCT(1059, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_7861])

    allocate(vertices(21)%branchCT(0:0))
    call avCT(21, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(135)%branchCT(0:0))
    call avCT(135, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(136)%branchCT(0:0))
    call avCT(136, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7697])

    allocate(vertices(137)%branchCT(0:0))
    call avCT(137, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7356, nGC_7356, nGC_7357])

    allocate(vertices(138)%branchCT(0:0))
    call avCT(138, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7275])

    allocate(vertices(139)%branchCT(0:1))
    call avCT(139, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_7351, nGC_7351])

    call avCT(139, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_7349, nGC_7349])

    allocate(vertices(140)%branchCT(0:1))
    call avCT(140, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7797])

    call avCT(140, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7796])

    allocate(vertices(141)%branchCT(0:0))
    call avCT(141, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7484, nGC_7485])

    allocate(vertices(142)%branchCT(0:0))
    call avCT(142, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_7208])

    allocate(vertices(143)%branchCT(0:0))
    call avCT(143, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(144)%branchCT(0:0))
    call avCT(144, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_7283, nGC_7284])

    allocate(vertices(365)%branchCT(0:0))
    call avCT(365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(146)%branchCT(0:1))
    call avCT(146, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_7960, nGC_7959])

    call avCT(146, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_7962, nGC_7961])

    allocate(vertices(147)%branchCT(0:0))
    call avCT(147, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7254])

    allocate(vertices(148)%branchCT(0:0))
    call avCT(148, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(1060)%branchCT(0:1))
    call avCT(1060, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7976, nGC_7970, nGC_7978&
    , nGC_7978])

    call avCT(1060, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7977, nGC_7971, nGC_7979&
    , nGC_7979])

    allocate(vertices(149)%branchCT(0:0))
    call avCT(149, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_7987, nGC_7988])

    allocate(vertices(150)%branchCT(0:0))
    call avCT(150, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7992])

    allocate(vertices(1061)%branchCT(0:1))
    call avCT(1061, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8001, nGC_7997, nGC_8003&
    , nGC_8003])

    call avCT(1061, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8002, nGC_7998, nGC_8004&
    , nGC_8004])

    allocate(vertices(151)%branchCT(0:0))
    call avCT(151, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_8007])

    allocate(vertices(152)%branchCT(0:0))
    call avCT(152, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7283, nGC_7284])

    allocate(vertices(153)%branchCT(0:1))
    call avCT(153, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8019, nGC_8014])

    call avCT(153, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8023, nGC_8024])

    allocate(vertices(154)%branchCT(0:0))
    call avCT(154, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7223])

    allocate(vertices(155)%branchCT(0:0))
    call avCT(155, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7360])

    allocate(vertices(1062)%branchCT(0:0))
    call avCT(1062, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8034, nGC_8031, nGC_8035&
    , nGC_8035])

    allocate(vertices(156)%branchCT(0:1))
    call avCT(156, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_7960, nGC_7959])

    call avCT(156, 1, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_7962, nGC_7961])

    allocate(vertices(157)%branchCT(0:0))
    call avCT(157, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7223])

    allocate(vertices(158)%branchCT(0:0))
    call avCT(158, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8055, nGC_8056])

    allocate(vertices(159)%branchCT(0:0))
    call avCT(159, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7275])

    allocate(vertices(160)%branchCT(0:0))
    call avCT(160, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7247])

    allocate(vertices(161)%branchCT(0:3))
    call avCT(161, 0, 32, 4, 0, FVFa1, 0, [1, 2], [nGC_7753, nGC_7749])

    call avCT(161, 1, 32, 4, 0, FVFa1, 0, [3, 0], [nGC_7755, nGC_7756])

    call avCT(161, 2, 33, 5, 0, FVFa1, 0, [1, 2], [nGC_7753, nGC_7749])

    call avCT(161, 3, 33, 5, 0, FVFa1, 0, [3, 0], [nGC_7755, nGC_7756])

    allocate(vertices(162)%branchCT(0:0))
    call avCT(162, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_8076, nGC_8076, nGC_8077])

    allocate(vertices(163)%branchCT(0:0))
    call avCT(163, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7458])

    allocate(vertices(164)%branchCT(0:0))
    call avCT(164, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_8082])

    allocate(vertices(165)%branchCT(0:0))
    call avCT(165, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7431])

    allocate(vertices(166)%branchCT(0:0))
    call avCT(166, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(167)%branchCT(0:1))
    call avCT(167, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_7575, nGC_7574])

    call avCT(167, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_7577, nGC_7576])

    allocate(vertices(204)%branchCT(0:0))
    call avCT(204, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(168)%branchCT(0:0))
    call avCT(168, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8055, nGC_8056])

    allocate(vertices(1063)%branchCT(0:0))
    call avCT(1063, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_7861])

    allocate(vertices(170)%branchCT(0:1))
    call avCT(170, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_8115, nGC_8116])

    call avCT(170, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_8109, nGC_8112])

    allocate(vertices(1064)%branchCT(0:0))
    call avCT(1064, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7861])

    allocate(vertices(171)%branchCT(0:0))
    call avCT(171, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7987, nGC_7988])

    allocate(vertices(172)%branchCT(0:0))
    call avCT(172, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7312, nGC_7313])

    allocate(vertices(963)%branchCT(0:0))
    call avCT(963, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7223])

    allocate(vertices(173)%branchCT(0:0))
    call avCT(173, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7275])

    allocate(vertices(174)%branchCT(0:0))
    call avCT(174, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7275])

    allocate(vertices(175)%branchCT(0:0))
    call avCT(175, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7202])

    allocate(vertices(177)%branchCT(0:0))
    call avCT(177, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_7452])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7360])

    allocate(vertices(179)%branchCT(0:0))
    call avCT(179, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7383, nGC_7384, nGC_7383])

    allocate(vertices(180)%branchCT(0:0))
    call avCT(180, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7464])

    allocate(vertices(1065)%branchCT(0:0))
    call avCT(1065, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_7268])

    allocate(vertices(181)%branchCT(0:0))
    call avCT(181, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7202])

    allocate(vertices(207)%branchCT(0:0))
    call avCT(207, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7312, nGC_7313, nGC_7313])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_7208])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7188])

    allocate(vertices(184)%branchCT(0:1))
    call avCT(184, 0, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_7575, nGC_7574])

    call avCT(184, 1, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_7577, nGC_7576])

    allocate(vertices(186)%branchCT(0:0))
    call avCT(186, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(187)%branchCT(0:1))
    call avCT(187, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7638, nGC_7639])

    call avCT(187, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7640, nGC_7641])

    allocate(vertices(188)%branchCT(0:1))
    call avCT(188, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7443])

    call avCT(188, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7442])

    allocate(vertices(9)%branchCT(0:0))
    call avCT(9, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8186])

    allocate(vertices(190)%branchCT(0:0))
    call avCT(190, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5807])

    allocate(vertices(1066)%branchCT(0:0))
    call avCT(1066, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_8189, nGC_8188])

    allocate(vertices(191)%branchCT(0:0))
    call avCT(191, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_7208])

    allocate(vertices(192)%branchCT(0:1))
    call avCT(192, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_7304, nGC_7303])

    call avCT(192, 1, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_7306, nGC_7305])

    allocate(vertices(193)%branchCT(0:0))
    call avCT(193, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7188])

    allocate(vertices(785)%branchCT(0:1))
    call avCT(785, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_7531, nGC_7532])

    call avCT(785, 1, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_7527, nGC_7522])

    allocate(vertices(1067)%branchCT(0:0))
    call avCT(1067, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7307])

    allocate(vertices(194)%branchCT(0:0))
    call avCT(194, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8055, nGC_8056])

    allocate(vertices(697)%branchCT(0:0))
    call avCT(697, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5813])

    allocate(vertices(1068)%branchCT(0:1))
    call avCT(1068, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8227, nGC_8221, nGC_8229&
    , nGC_8229])

    call avCT(1068, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8228, nGC_8222, nGC_8230&
    , nGC_8230])

    allocate(vertices(197)%branchCT(0:0))
    call avCT(197, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_8076, nGC_8077, nGC_8076])

    allocate(vertices(198)%branchCT(0:1))
    call avCT(198, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_7489])

    call avCT(198, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_7488])

    allocate(vertices(705)%branchCT(0:1))
    call avCT(705, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_7489])

    call avCT(705, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_7488])

    allocate(vertices(200)%branchCT(0:0))
    call avCT(200, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7259])

    allocate(vertices(201)%branchCT(0:0))
    call avCT(201, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_7692, nGC_7692])

    allocate(vertices(202)%branchCT(0:0))
    call avCT(202, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(203)%branchCT(0:1))
    call avCT(203, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_7575, nGC_7574])

    call avCT(203, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_7577, nGC_7576])

    allocate(vertices(1069)%branchCT(0:0))
    call avCT(1069, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8258])

    allocate(vertices(205)%branchCT(0:1))
    call avCT(205, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_7413, nGC_7408])

    call avCT(205, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_7418, nGC_7419])

    allocate(vertices(206)%branchCT(0:0))
    call avCT(206, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(1070)%branchCT(0:0))
    call avCT(1070, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7307])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(209)%branchCT(0:1))
    call avCT(209, 0, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_7303, nGC_7304])

    call avCT(209, 1, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_7305, nGC_7306])

    allocate(vertices(1071)%branchCT(0:1))
    call avCT(1071, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8290, nGC_8284, nGC_8292&
    , nGC_8292])

    call avCT(1071, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8291, nGC_8285, nGC_8293&
    , nGC_8293])

    allocate(vertices(211)%branchCT(0:0))
    call avCT(211, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7259])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(1046)%branchCT(0:3))
    call avCT(1046, 0, 38, 4, 0, VFFa0, 0, [1, 2], [nGC_7600, nGC_7598])

    call avCT(1046, 1, 38, 4, 0, VFFa0, 0, [3, 0], [nGC_7602, nGC_7603])

    call avCT(1046, 2, 39, 5, 0, VFFa0, 0, [1, 2], [nGC_7600, nGC_7598])

    call avCT(1046, 3, 39, 5, 0, VFFa0, 0, [3, 0], [nGC_7602, nGC_7603])

    allocate(vertices(224)%branchCT(0:0))
    call avCT(224, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_8077, nGC_8076, nGC_8076])

    allocate(vertices(214)%branchCT(0:0))
    call avCT(214, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_7241])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7259])

    allocate(vertices(216)%branchCT(0:0))
    call avCT(216, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_7198])

    allocate(vertices(375)%branchCT(0:0))
    call avCT(375, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8185])

    allocate(vertices(534)%branchCT(0:0))
    call avCT(534, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8331, nGC_8331])

    allocate(vertices(219)%branchCT(0:0))
    call avCT(219, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_7851])

    allocate(vertices(220)%branchCT(0:0))
    call avCT(220, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7275])

    allocate(vertices(1072)%branchCT(0:0))
    call avCT(1072, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7307])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8341])

    allocate(vertices(1073)%branchCT(0:0))
    call avCT(1073, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_8344])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7992])

    allocate(vertices(223)%branchCT(0:0))
    call avCT(223, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7312, nGC_7313])

    allocate(vertices(821)%branchCT(0:0))
    call avCT(821, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7275])

    allocate(vertices(213)%branchCT(0:0))
    call avCT(213, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(304)%branchCT(0:0))
    call avCT(304, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7423])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7188])

    allocate(vertices(227)%branchCT(0:0))
    call avCT(227, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8369, nGC_8370])

    allocate(vertices(1074)%branchCT(0:0))
    call avCT(1074, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8371])

    allocate(vertices(228)%branchCT(0:0))
    call avCT(228, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(229)%branchCT(0:0))
    call avCT(229, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7384, nGC_7383, nGC_7383])

    allocate(vertices(230)%branchCT(0:0))
    call avCT(230, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7317])

    allocate(vertices(231)%branchCT(0:0))
    call avCT(231, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(1075)%branchCT(0:0))
    call avCT(1075, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8385])

    allocate(vertices(233)%branchCT(0:1))
    call avCT(233, 0, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_7294, nGC_7294])

    call avCT(233, 1, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_7292, nGC_7292])

    allocate(vertices(284)%branchCT(0:1))
    call avCT(284, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7778, nGC_7778])

    call avCT(284, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7780, nGC_7780])

    allocate(vertices(609)%branchCT(0:0))
    call avCT(609, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8331, nGC_8331])

    allocate(vertices(234)%branchCT(0:0))
    call avCT(234, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(235)%branchCT(0:1))
    call avCT(235, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_7574, nGC_7575])

    call avCT(235, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_7576, nGC_7577])

    allocate(vertices(1076)%branchCT(0:0))
    call avCT(1076, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8384])

    allocate(vertices(237)%branchCT(0:1))
    call avCT(237, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7303, nGC_7304])

    call avCT(237, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7305, nGC_7306])

    allocate(vertices(238)%branchCT(0:0))
    call avCT(238, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(239)%branchCT(0:0))
    call avCT(239, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7383, nGC_7383, nGC_7384])

    allocate(vertices(240)%branchCT(0:0))
    call avCT(240, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7431])

    allocate(vertices(242)%branchCT(0:0))
    call avCT(242, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7259])

    allocate(vertices(243)%branchCT(0:0))
    call avCT(243, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_7247])

    allocate(vertices(244)%branchCT(0:0))
    call avCT(244, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7360])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7383, nGC_7383, nGC_7384])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7464])

    allocate(vertices(247)%branchCT(0:0))
    call avCT(247, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_7208])

    allocate(vertices(537)%branchCT(0:1))
    call avCT(537, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7620, nGC_7619])

    call avCT(537, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7622, nGC_7621])

    allocate(vertices(249)%branchCT(0:0))
    call avCT(249, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8462])

    allocate(vertices(250)%branchCT(0:0))
    call avCT(250, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7423])

    allocate(vertices(251)%branchCT(0:1))
    call avCT(251, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_7553, nGC_7554])

    call avCT(251, 1, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_7549, nGC_7546])

    allocate(vertices(252)%branchCT(0:0))
    call avCT(252, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5807])

    allocate(vertices(1077)%branchCT(0:0))
    call avCT(1077, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_8344])

    allocate(vertices(253)%branchCT(0:0))
    call avCT(253, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(254)%branchCT(0:1))
    call avCT(254, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_8486, nGC_8486])

    call avCT(254, 1, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_8488, nGC_8488])

    allocate(vertices(255)%branchCT(0:0))
    call avCT(255, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7475])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7360])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7223])

    allocate(vertices(1078)%branchCT(0:0))
    call avCT(1078, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7861])

    allocate(vertices(540)%branchCT(0:0))
    call avCT(540, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5813])

    allocate(vertices(260)%branchCT(0:0))
    call avCT(260, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(1079)%branchCT(0:0))
    call avCT(1079, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7307])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8341])

    allocate(vertices(263)%branchCT(0:0))
    call avCT(263, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7259])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_8082])

    allocate(vertices(541)%branchCT(0:0))
    call avCT(541, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(265)%branchCT(0:0))
    call avCT(265, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8517])

    allocate(vertices(266)%branchCT(0:0))
    call avCT(266, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(267)%branchCT(0:0))
    call avCT(267, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7184])

    allocate(vertices(269)%branchCT(0:0))
    call avCT(269, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_8527])

    allocate(vertices(270)%branchCT(0:0))
    call avCT(270, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_7851])

    allocate(vertices(271)%branchCT(0:0))
    call avCT(271, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7384, nGC_7383, nGC_7383])

    allocate(vertices(272)%branchCT(0:0))
    call avCT(272, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8536])

    allocate(vertices(50)%branchCT(0:0))
    call avCT(50, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(274)%branchCT(0:1))
    call avCT(274, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_7232, nGC_7233])

    call avCT(274, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_7234, nGC_7235])

    allocate(vertices(562)%branchCT(0:0))
    call avCT(562, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7383, nGC_7384, nGC_7383])

    allocate(vertices(277)%branchCT(0:3))
    call avCT(277, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_7600, nGC_7598])

    call avCT(277, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_7602, nGC_7603])

    call avCT(277, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_7600, nGC_7598])

    call avCT(277, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_7602, nGC_7603])

    allocate(vertices(278)%branchCT(0:0))
    call avCT(278, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7439])

    allocate(vertices(943)%branchCT(0:0))
    call avCT(943, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7191])

    allocate(vertices(279)%branchCT(0:0))
    call avCT(279, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5807])

    allocate(vertices(280)%branchCT(0:0))
    call avCT(280, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7431])

    allocate(vertices(1080)%branchCT(0:1))
    call avCT(1080, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8579, nGC_8573, nGC_8581&
    , nGC_8581])

    call avCT(1080, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8580, nGC_8574, nGC_8582&
    , nGC_8582])

    allocate(vertices(281)%branchCT(0:0))
    call avCT(281, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7423])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5808])

    allocate(vertices(714)%branchCT(0:0))
    call avCT(714, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7431])

    allocate(vertices(283)%branchCT(0:1))
    call avCT(283, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_7489])

    call avCT(283, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_7488])

    allocate(vertices(659)%branchCT(0:1))
    call avCT(659, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_7336, nGC_7337])

    call avCT(659, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_7328, nGC_7331])

    allocate(vertices(840)%branchCT(0:0))
    call avCT(840, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8331, nGC_8331])

    allocate(vertices(285)%branchCT(0:1))
    call avCT(285, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_7489])

    call avCT(285, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_7488])

    allocate(vertices(54)%branchCT(0:0))
    call avCT(54, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(633)%branchCT(0:0))
    call avCT(633, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_7198])

    allocate(vertices(288)%branchCT(0:0))
    call avCT(288, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(289)%branchCT(0:0))
    call avCT(289, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7991])

    allocate(vertices(290)%branchCT(0:0))
    call avCT(290, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7254])

    allocate(vertices(291)%branchCT(0:0))
    call avCT(291, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5807])

    allocate(vertices(989)%branchCT(0:0))
    call avCT(989, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8625, nGC_8625])

    allocate(vertices(292)%branchCT(0:0))
    call avCT(292, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7484, nGC_7485])

    allocate(vertices(293)%branchCT(0:0))
    call avCT(293, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7188])

    allocate(vertices(624)%branchCT(0:1))
    call avCT(624, 0, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_8643, nGC_8644])

    call avCT(624, 1, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_8645, nGC_8646])

    allocate(vertices(294)%branchCT(0:0))
    call avCT(294, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8341])

    allocate(vertices(295)%branchCT(0:0))
    call avCT(295, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8652])

    allocate(vertices(296)%branchCT(0:1))
    call avCT(296, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_7658, nGC_7659])

    call avCT(296, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_7655, nGC_7652])

    allocate(vertices(297)%branchCT(0:0))
    call avCT(297, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(298)%branchCT(0:0))
    call avCT(298, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_8082])

    allocate(vertices(299)%branchCT(0:0))
    call avCT(299, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7475])

    allocate(vertices(300)%branchCT(0:0))
    call avCT(300, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7317])

    allocate(vertices(1081)%branchCT(0:0))
    call avCT(1081, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_8674, nGC_8672, nGC_8675&
    , nGC_8675])

    allocate(vertices(1082)%branchCT(0:0))
    call avCT(1082, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7861])

    allocate(vertices(301)%branchCT(0:0))
    call avCT(301, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(302)%branchCT(0:0))
    call avCT(302, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8684, nGC_8685])

    allocate(vertices(303)%branchCT(0:0))
    call avCT(303, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8625, nGC_8625])

    allocate(vertices(225)%branchCT(0:0))
    call avCT(225, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7475])

    allocate(vertices(305)%branchCT(0:1))
    call avCT(305, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_7620, nGC_7619])

    call avCT(305, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_7622, nGC_7621])

    allocate(vertices(864)%branchCT(0:0))
    call avCT(864, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7668])

    allocate(vertices(1083)%branchCT(0:0))
    call avCT(1083, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8674, nGC_8672, nGC_8675&
    , nGC_8675])

    allocate(vertices(307)%branchCT(0:0))
    call avCT(307, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8536])

    allocate(vertices(1084)%branchCT(0:0))
    call avCT(1084, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7307])

    allocate(vertices(309)%branchCT(0:1))
    call avCT(309, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_7443])

    call avCT(309, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_7442])

    allocate(vertices(1085)%branchCT(0:0))
    call avCT(1085, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7307])

    allocate(vertices(345)%branchCT(0:1))
    call avCT(345, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_7734, nGC_7734])

    call avCT(345, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_7732, nGC_7732])

    allocate(vertices(310)%branchCT(0:0))
    call avCT(310, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7202])

    allocate(vertices(311)%branchCT(0:0))
    call avCT(311, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7202])

    allocate(vertices(1086)%branchCT(0:1))
    call avCT(1086, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8290, nGC_8284, nGC_8292&
    , nGC_8292])

    call avCT(1086, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8291, nGC_8285, nGC_8293&
    , nGC_8293])

    allocate(vertices(312)%branchCT(0:0))
    call avCT(312, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7405, nGC_7406])

    allocate(vertices(1087)%branchCT(0:0))
    call avCT(1087, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8384])

    allocate(vertices(315)%branchCT(0:0))
    call avCT(315, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7992])

    allocate(vertices(1088)%branchCT(0:0))
    call avCT(1088, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7307])

    allocate(vertices(852)%branchCT(0:0))
    call avCT(852, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(1024)%branchCT(0:0))
    call avCT(1024, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8684, nGC_8685])

    allocate(vertices(317)%branchCT(0:0))
    call avCT(317, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8758])

    allocate(vertices(318)%branchCT(0:1))
    call avCT(318, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7658, nGC_7659])

    call avCT(318, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7655, nGC_7652])

    allocate(vertices(873)%branchCT(0:0))
    call avCT(873, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7223])

    allocate(vertices(321)%branchCT(0:0))
    call avCT(321, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_8527])

    allocate(vertices(393)%branchCT(0:0))
    call avCT(393, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8536])

    allocate(vertices(323)%branchCT(0:0))
    call avCT(323, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7360])

    allocate(vertices(324)%branchCT(0:0))
    call avCT(324, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7869])

    allocate(vertices(325)%branchCT(0:0))
    call avCT(325, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7275])

    allocate(vertices(901)%branchCT(0:0))
    call avCT(901, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(327)%branchCT(0:0))
    call avCT(327, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7202])

    allocate(vertices(328)%branchCT(0:1))
    call avCT(328, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8792, nGC_8787])

    call avCT(328, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8796, nGC_8797])

    allocate(vertices(329)%branchCT(0:0))
    call avCT(329, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_7198])

    allocate(vertices(330)%branchCT(0:0))
    call avCT(330, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(331)%branchCT(0:1))
    call avCT(331, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_7797])

    call avCT(331, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_7796])

    allocate(vertices(332)%branchCT(0:0))
    call avCT(332, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5812])

    allocate(vertices(719)%branchCT(0:0))
    call avCT(719, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7283, nGC_7284])

    allocate(vertices(334)%branchCT(0:0))
    call avCT(334, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7676])

    allocate(vertices(335)%branchCT(0:0))
    call avCT(335, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5807])

    allocate(vertices(336)%branchCT(0:0))
    call avCT(336, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(337)%branchCT(0:1))
    call avCT(337, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7292, nGC_7292])

    call avCT(337, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7294, nGC_7294])

    allocate(vertices(338)%branchCT(0:3))
    call avCT(338, 0, 32, 4, 0, FVFa1, 0, [1, 2], [nGC_7600, nGC_7598])

    call avCT(338, 1, 32, 4, 0, FVFa1, 0, [3, 0], [nGC_7602, nGC_7603])

    call avCT(338, 2, 33, 5, 0, FVFa1, 0, [1, 2], [nGC_7600, nGC_7598])

    call avCT(338, 3, 33, 5, 0, FVFa1, 0, [3, 0], [nGC_7602, nGC_7603])

    allocate(vertices(550)%branchCT(0:0))
    call avCT(550, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8840])

    allocate(vertices(1035)%branchCT(0:0))
    call avCT(1035, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_7241])

    allocate(vertices(340)%branchCT(0:3))
    call avCT(340, 0, 36, 4, 0, FaVF0, 0, [1, 2], [nGC_7753, nGC_7749])

    call avCT(340, 1, 36, 4, 0, FaVF0, 0, [3, 0], [nGC_7755, nGC_7756])

    call avCT(340, 2, 37, 5, 0, FaVF0, 0, [1, 2], [nGC_7753, nGC_7749])

    call avCT(340, 3, 37, 5, 0, FaVF0, 0, [3, 0], [nGC_7755, nGC_7756])

    allocate(vertices(341)%branchCT(0:0))
    call avCT(341, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7987, nGC_7988])

    allocate(vertices(67)%branchCT(0:0))
    call avCT(67, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7202])

    allocate(vertices(342)%branchCT(0:1))
    call avCT(342, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_7590, nGC_7591])

    call avCT(342, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_7592, nGC_7593])

    allocate(vertices(343)%branchCT(0:1))
    call avCT(343, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_7489])

    call avCT(343, 1, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_7488])

    allocate(vertices(232)%branchCT(0:0))
    call avCT(232, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7439])

    allocate(vertices(1089)%branchCT(0:0))
    call avCT(1089, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7307])

    allocate(vertices(344)%branchCT(0:1))
    call avCT(344, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7443])

    call avCT(344, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7442])

    allocate(vertices(261)%branchCT(0:0))
    call avCT(261, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_7198])

    allocate(vertices(346)%branchCT(0:0))
    call avCT(346, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7475])

    allocate(vertices(347)%branchCT(0:0))
    call avCT(347, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7405, nGC_7406])

    allocate(vertices(348)%branchCT(0:0))
    call avCT(348, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7991])

    allocate(vertices(506)%branchCT(0:0))
    call avCT(506, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7676])

    allocate(vertices(724)%branchCT(0:0))
    call avCT(724, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8341])

    allocate(vertices(350)%branchCT(0:1))
    call avCT(350, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_7901, nGC_7900])

    call avCT(350, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_7903, nGC_7902])

    allocate(vertices(351)%branchCT(0:0))
    call avCT(351, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7360])

    allocate(vertices(353)%branchCT(0:0))
    call avCT(353, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(354)%branchCT(0:0))
    call avCT(354, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8652])

    allocate(vertices(928)%branchCT(0:0))
    call avCT(928, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5813])

    allocate(vertices(1090)%branchCT(0:0))
    call avCT(1090, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7861])

    allocate(vertices(356)%branchCT(0:1))
    call avCT(356, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_8792, nGC_8787])

    call avCT(356, 1, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_8796, nGC_8797])

    allocate(vertices(114)%branchCT(0:1))
    call avCT(114, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_7826, nGC_7827])

    call avCT(114, 1, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_7820, nGC_7823])

    allocate(vertices(122)%branchCT(0:1))
    call avCT(122, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7901, nGC_7900])

    call avCT(122, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7903, nGC_7902])

    allocate(vertices(399)%branchCT(0:1))
    call avCT(399, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_7778, nGC_7778])

    call avCT(399, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_7780, nGC_7780])

    allocate(vertices(360)%branchCT(0:1))
    call avCT(360, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_8486, nGC_8486])

    call avCT(360, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_8488, nGC_8488])

    allocate(vertices(133)%branchCT(0:0))
    call avCT(133, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7360])

    allocate(vertices(362)%branchCT(0:1))
    call avCT(362, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_7960, nGC_7959])

    call avCT(362, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_7962, nGC_7961])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7360])

    allocate(vertices(725)%branchCT(0:0))
    call avCT(725, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7259])

    allocate(vertices(145)%branchCT(0:0))
    call avCT(145, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7223])

    allocate(vertices(366)%branchCT(0:0))
    call avCT(366, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7275])

    allocate(vertices(1034)%branchCT(0:3))
    call avCT(1034, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_8978, nGC_8974])

    call avCT(1034, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_8980, nGC_8981])

    call avCT(1034, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_8978, nGC_8974])

    call avCT(1034, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_8980, nGC_8981])

    allocate(vertices(368)%branchCT(0:0))
    call avCT(368, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7188])

    allocate(vertices(369)%branchCT(0:0))
    call avCT(369, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_8995])

    allocate(vertices(370)%branchCT(0:0))
    call avCT(370, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8998])

    allocate(vertices(372)%branchCT(0:0))
    call avCT(372, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(210)%branchCT(0:0))
    call avCT(210, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8652])

    allocate(vertices(1091)%branchCT(0:1))
    call avCT(1091, 0, 15, 1, 0, VV0, 0, [2, 0], [nGC_9008, nGC_9007])

    call avCT(1091, 1, 16, 8, 0, VV0, 0, [2, 0], [nGC_9008, nGC_9007])

    allocate(vertices(217)%branchCT(0:0))
    call avCT(217, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7724])

    allocate(vertices(376)%branchCT(0:0))
    call avCT(376, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_7741, nGC_7742])

    allocate(vertices(377)%branchCT(0:0))
    call avCT(377, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(378)%branchCT(0:3))
    call avCT(378, 0, 38, 4, 0, VFFa0, 0, [1, 2], [nGC_7708, nGC_7710])

    call avCT(378, 1, 38, 4, 0, VFFa0, 0, [3, 0], [nGC_7712, nGC_7713])

    call avCT(378, 2, 39, 5, 0, VFFa0, 0, [1, 2], [nGC_7708, nGC_7710])

    call avCT(378, 3, 39, 5, 0, VFFa0, 0, [3, 0], [nGC_7712, nGC_7713])

    allocate(vertices(713)%branchCT(0:0))
    call avCT(713, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8652])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(383)%branchCT(0:0))
    call avCT(383, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_8082])

    allocate(vertices(385)%branchCT(0:0))
    call avCT(385, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7452])

    allocate(vertices(916)%branchCT(0:0))
    call avCT(916, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7202])

    allocate(vertices(387)%branchCT(0:0))
    call avCT(387, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(917)%branchCT(0:1))
    call avCT(917, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_9056, nGC_9057])

    call avCT(917, 1, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_9052, nGC_9049])

    allocate(vertices(1027)%branchCT(0:0))
    call avCT(1027, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7360])

    allocate(vertices(1092)%branchCT(0:0))
    call avCT(1092, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7307])

    allocate(vertices(72)%branchCT(0:0))
    call avCT(72, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7458])

    allocate(vertices(390)%branchCT(0:0))
    call avCT(390, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8536])

    allocate(vertices(733)%branchCT(0:0))
    call avCT(733, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7223])

    allocate(vertices(392)%branchCT(0:0))
    call avCT(392, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7357, nGC_7356, nGC_7356])

    allocate(vertices(322)%branchCT(0:0))
    call avCT(322, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_7376, nGC_7375])

    allocate(vertices(394)%branchCT(0:0))
    call avCT(394, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7357, nGC_7356, nGC_7356])

    allocate(vertices(395)%branchCT(0:0))
    call avCT(395, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7275])

    allocate(vertices(397)%branchCT(0:0))
    call avCT(397, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8055, nGC_8056])

    allocate(vertices(398)%branchCT(0:0))
    call avCT(398, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7360])

    allocate(vertices(920)%branchCT(0:1))
    call avCT(920, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8115, nGC_8116])

    call avCT(920, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8109, nGC_8112])

    allocate(vertices(400)%branchCT(0:0))
    call avCT(400, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7869])

    allocate(vertices(401)%branchCT(0:0))
    call avCT(401, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7259])

    allocate(vertices(402)%branchCT(0:0))
    call avCT(402, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(403)%branchCT(0:1))
    call avCT(403, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7232, nGC_7233])

    call avCT(403, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7234, nGC_7235])

    allocate(vertices(404)%branchCT(0:0))
    call avCT(404, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(405)%branchCT(0:1))
    call avCT(405, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_7658, nGC_7659])

    call avCT(405, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_7655, nGC_7652])

    allocate(vertices(406)%branchCT(0:3))
    call avCT(406, 0, 40, 4, 0, VFaF1, 0, [1, 2], [nGC_7600, nGC_7598])

    call avCT(406, 1, 40, 4, 0, VFaF1, 0, [3, 0], [nGC_7602, nGC_7603])

    call avCT(406, 2, 41, 5, 0, VFaF1, 0, [1, 2], [nGC_7600, nGC_7598])

    call avCT(406, 3, 41, 5, 0, VFaF1, 0, [3, 0], [nGC_7602, nGC_7603])

    allocate(vertices(407)%branchCT(0:1))
    call avCT(407, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_7732, nGC_7732])

    call avCT(407, 1, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_7734, nGC_7734])

    allocate(vertices(408)%branchCT(0:0))
    call avCT(408, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(409)%branchCT(0:0))
    call avCT(409, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7383, nGC_7383, nGC_7384])

    allocate(vertices(410)%branchCT(0:1))
    call avCT(410, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_7826, nGC_7827])

    call avCT(410, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_7820, nGC_7823])

    allocate(vertices(1093)%branchCT(0:0))
    call avCT(1093, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7307])

    allocate(vertices(412)%branchCT(0:0))
    call avCT(412, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(413)%branchCT(0:0))
    call avCT(413, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5807])

    allocate(vertices(414)%branchCT(0:0))
    call avCT(414, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(415)%branchCT(0:1))
    call avCT(415, 0, 0, 2, 0, VVV0, 0, [3, 0], [nGC_9167])

    call avCT(415, 1, 1, 3, 0, VVV0, 0, [3, 0], [nGC_9167])

    allocate(vertices(416)%branchCT(0:0))
    call avCT(416, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(417)%branchCT(0:0))
    call avCT(417, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_7452])

    allocate(vertices(418)%branchCT(0:0))
    call avCT(418, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7697])

    allocate(vertices(1094)%branchCT(0:0))
    call avCT(1094, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_9178, nGC_9179, nGC_9178 &
    , nGC_9179, nGC_9180])

    allocate(vertices(419)%branchCT(0:0))
    call avCT(419, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8331, nGC_8331])

    allocate(vertices(420)%branchCT(0:0))
    call avCT(420, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7537])

    allocate(vertices(421)%branchCT(0:0))
    call avCT(421, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(79)%branchCT(0:0))
    call avCT(79, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(424)%branchCT(0:0))
    call avCT(424, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7452])

    allocate(vertices(425)%branchCT(0:0))
    call avCT(425, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5808])

    allocate(vertices(426)%branchCT(0:0))
    call avCT(426, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_8995])

    allocate(vertices(533)%branchCT(0:0))
    call avCT(533, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(428)%branchCT(0:0))
    call avCT(428, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(429)%branchCT(0:0))
    call avCT(429, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_8527])

    allocate(vertices(430)%branchCT(0:0))
    call avCT(430, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7247])

    allocate(vertices(741)%branchCT(0:0))
    call avCT(741, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_7851])

    allocate(vertices(432)%branchCT(0:0))
    call avCT(432, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(433)%branchCT(0:1))
    call avCT(433, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_7901, nGC_7900])

    call avCT(433, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_7903, nGC_7902])

    allocate(vertices(434)%branchCT(0:0))
    call avCT(434, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8341])

    allocate(vertices(435)%branchCT(0:0))
    call avCT(435, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7312, nGC_7313])

    allocate(vertices(436)%branchCT(0:0))
    call avCT(436, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7223])

    allocate(vertices(438)%branchCT(0:1))
    call avCT(438, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8486, nGC_8486])

    call avCT(438, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8488, nGC_8488])

    allocate(vertices(439)%branchCT(0:1))
    call avCT(439, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_7797])

    call avCT(439, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_7796])

    allocate(vertices(440)%branchCT(0:0))
    call avCT(440, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7202])

    allocate(vertices(1095)%branchCT(0:0))
    call avCT(1095, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_7861])

    allocate(vertices(442)%branchCT(0:0))
    call avCT(442, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7431])

    allocate(vertices(443)%branchCT(0:0))
    call avCT(443, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(444)%branchCT(0:0))
    call avCT(444, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8840])

    allocate(vertices(647)%branchCT(0:1))
    call avCT(647, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7575, nGC_7574])

    call avCT(647, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7577, nGC_7576])

    allocate(vertices(572)%branchCT(0:0))
    call avCT(572, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7275])

    allocate(vertices(447)%branchCT(0:0))
    call avCT(447, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_8527])

    allocate(vertices(951)%branchCT(0:0))
    call avCT(951, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7856])

    allocate(vertices(449)%branchCT(0:0))
    call avCT(449, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7188])

    allocate(vertices(450)%branchCT(0:0))
    call avCT(450, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_8527])

    allocate(vertices(926)%branchCT(0:0))
    call avCT(926, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_8527])

    allocate(vertices(1096)%branchCT(0:0))
    call avCT(1096, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7857])

    allocate(vertices(451)%branchCT(0:0))
    call avCT(451, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7581])

    allocate(vertices(452)%branchCT(0:0))
    call avCT(452, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_7741, nGC_7742])

    allocate(vertices(453)%branchCT(0:0))
    call avCT(453, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7992])

    allocate(vertices(454)%branchCT(0:0))
    call avCT(454, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7469])

    allocate(vertices(622)%branchCT(0:3))
    call avCT(622, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_7708, nGC_7710])

    call avCT(622, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_7712, nGC_7713])

    call avCT(622, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_7708, nGC_7710])

    call avCT(622, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_7712, nGC_7713])

    allocate(vertices(698)%branchCT(0:1))
    call avCT(698, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7489])

    call avCT(698, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7488])

    allocate(vertices(456)%branchCT(0:0))
    call avCT(456, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8840])

    allocate(vertices(1097)%branchCT(0:0))
    call avCT(1097, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_9309])

    allocate(vertices(1098)%branchCT(0:0))
    call avCT(1098, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7307])

    allocate(vertices(457)%branchCT(0:0))
    call avCT(457, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8186])

    allocate(vertices(458)%branchCT(0:0))
    call avCT(458, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7259])

    allocate(vertices(460)%branchCT(0:0))
    call avCT(460, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9321])

    allocate(vertices(744)%branchCT(0:0))
    call avCT(744, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7313, nGC_7312])

    allocate(vertices(462)%branchCT(0:1))
    call avCT(462, 0, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_7889, nGC_7889])

    call avCT(462, 1, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_7891, nGC_7891])

    allocate(vertices(463)%branchCT(0:1))
    call avCT(463, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_7901, nGC_7900])

    call avCT(463, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_7903, nGC_7902])

    allocate(vertices(464)%branchCT(0:0))
    call avCT(464, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7195])

    allocate(vertices(465)%branchCT(0:0))
    call avCT(465, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8840])

    allocate(vertices(769)%branchCT(0:1))
    call avCT(769, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_8023, nGC_8024])

    call avCT(769, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_8019, nGC_8014])

    allocate(vertices(467)%branchCT(0:0))
    call avCT(467, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5813])

    allocate(vertices(1099)%branchCT(0:0))
    call avCT(1099, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_9358, nGC_9355])

    allocate(vertices(469)%branchCT(0:0))
    call avCT(469, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7987, nGC_7988])

    allocate(vertices(804)%branchCT(0:3))
    call avCT(804, 0, 40, 4, 0, VFaF1, 0, [1, 2], [nGC_7753, nGC_7749])

    call avCT(804, 1, 40, 4, 0, VFaF1, 0, [3, 0], [nGC_7755, nGC_7756])

    call avCT(804, 2, 41, 5, 0, VFaF1, 0, [1, 2], [nGC_7753, nGC_7749])

    call avCT(804, 3, 41, 5, 0, VFaF1, 0, [3, 0], [nGC_7755, nGC_7756])

    allocate(vertices(471)%branchCT(0:0))
    call avCT(471, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8536])

    allocate(vertices(472)%branchCT(0:0))
    call avCT(472, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8341])

    allocate(vertices(473)%branchCT(0:0))
    call avCT(473, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8840])

    allocate(vertices(474)%branchCT(0:0))
    call avCT(474, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7188])

    allocate(vertices(475)%branchCT(0:1))
    call avCT(475, 0, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_8488, nGC_8488])

    call avCT(475, 1, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_8486, nGC_8486])

    allocate(vertices(476)%branchCT(0:0))
    call avCT(476, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7195])

    allocate(vertices(477)%branchCT(0:0))
    call avCT(477, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_8527])

    allocate(vertices(478)%branchCT(0:1))
    call avCT(478, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_7553, nGC_7554])

    call avCT(478, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_7549, nGC_7546])

    allocate(vertices(479)%branchCT(0:0))
    call avCT(479, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7484, nGC_7485])

    allocate(vertices(481)%branchCT(0:1))
    call avCT(481, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_8115, nGC_8116])

    call avCT(481, 1, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_8109, nGC_8112])

    allocate(vertices(1100)%branchCT(0:0))
    call avCT(1100, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_9179, nGC_9178, nGC_9179 &
    , nGC_9178, nGC_9180])

    allocate(vertices(482)%branchCT(0:0))
    call avCT(482, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5812])

    allocate(vertices(483)%branchCT(0:0))
    call avCT(483, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7275])

    allocate(vertices(484)%branchCT(0:0))
    call avCT(484, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7223])

    allocate(vertices(485)%branchCT(0:1))
    call avCT(485, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_7443])

    call avCT(485, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_7442])

    allocate(vertices(486)%branchCT(0:1))
    call avCT(486, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_7443])

    call avCT(486, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_7442])

    allocate(vertices(487)%branchCT(0:1))
    call avCT(487, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7328, nGC_7331])

    call avCT(487, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7336, nGC_7337])

    allocate(vertices(488)%branchCT(0:1))
    call avCT(488, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_7900, nGC_7901])

    call avCT(488, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_7902, nGC_7903])

    allocate(vertices(319)%branchCT(0:0))
    call avCT(319, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7431])

    allocate(vertices(490)%branchCT(0:0))
    call avCT(490, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(491)%branchCT(0:0))
    call avCT(491, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(1101)%branchCT(0:0))
    call avCT(1101, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7857])

    allocate(vertices(492)%branchCT(0:0))
    call avCT(492, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(964)%branchCT(0:1))
    call avCT(964, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_7489])

    call avCT(964, 1, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_7488])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_7851])

    allocate(vertices(994)%branchCT(0:0))
    call avCT(994, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7357, nGC_7356, nGC_7356])

    allocate(vertices(495)%branchCT(0:1))
    call avCT(495, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_8643, nGC_8644])

    call avCT(495, 1, 17, 1, 0, FSFa1, 0, [0, 3], [nGC_8645, nGC_8646])

    allocate(vertices(496)%branchCT(0:0))
    call avCT(496, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_7241])

    allocate(vertices(497)%branchCT(0:0))
    call avCT(497, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7312, nGC_7313])

    allocate(vertices(498)%branchCT(0:3))
    call avCT(498, 0, 34, 4, 0, FaFV1, 0, [1, 2], [nGC_8978, nGC_8974])

    call avCT(498, 1, 34, 4, 0, FaFV1, 0, [3, 0], [nGC_8980, nGC_8981])

    call avCT(498, 2, 35, 5, 0, FaFV1, 0, [1, 2], [nGC_8978, nGC_8974])

    call avCT(498, 3, 35, 5, 0, FaFV1, 0, [3, 0], [nGC_8980, nGC_8981])

    allocate(vertices(499)%branchCT(0:1))
    call avCT(499, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_7303, nGC_7304])

    call avCT(499, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_7305, nGC_7306])

    allocate(vertices(583)%branchCT(0:0))
    call avCT(583, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7383, nGC_7384, nGC_7383])

    allocate(vertices(501)%branchCT(0:0))
    call avCT(501, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7202])

    allocate(vertices(560)%branchCT(0:1))
    call avCT(560, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_9518, nGC_9519])

    call avCT(560, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9512, nGC_9515])

    allocate(vertices(93)%branchCT(0:0))
    call avCT(93, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7991])

    allocate(vertices(503)%branchCT(0:1))
    call avCT(503, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9518, nGC_9519])

    call avCT(503, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9512, nGC_9515])

    allocate(vertices(504)%branchCT(0:1))
    call avCT(504, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_7638, nGC_7639])

    call avCT(504, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_7640, nGC_7641])

  end subroutine fill_vertices_mdl2
end module vertices_info2
