!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 16:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  implicit none
  contains
  subroutine fill_vertices_mdl5()
    use class_vertices
    use class_couplings
    allocate(vertices(1242)%branchR2(0:0))
    call avR2(1242, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5723])

    allocate(vertices(613)%branchR2(0:0))
    call avR2(613, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5724])

    allocate(vertices(309)%branchR2(0:1))
    call avR2(309, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_5658])

    call avR2(309, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_5659])

    allocate(vertices(871)%branchR2(0:0))
    call avR2(871, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5749])

    allocate(vertices(29)%branchR2(0:0))
    call avR2(29, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5749])

    allocate(vertices(588)%branchR2(0:0))
    call avR2(588, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5567])

    allocate(vertices(1243)%branchR2(0:0))
    call avR2(1243, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5729, nGC_5729, nGC_5729&
    ])

    allocate(vertices(177)%branchR2(0:0))
    call avR2(177, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_5661])

    allocate(vertices(611)%branchR2(0:1))
    call avR2(611, 0, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_5569, nGC_5571])

    call avR2(611, 1, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_5570, nGC_5572])

    allocate(vertices(845)%branchR2(0:0))
    call avR2(845, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5725])

    allocate(vertices(250)%branchR2(0:0))
    call avR2(250, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5718])

    allocate(vertices(713)%branchR2(0:0))
    call avR2(713, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5679])

    allocate(vertices(73)%branchR2(0:1))
    call avR2(73, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_5574, nGC_5576])

    call avR2(73, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_5589, nGC_5590])

    allocate(vertices(639)%branchR2(0:1))
    call avR2(639, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_5659])

    call avR2(639, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_5660])

    allocate(vertices(126)%branchR2(0:0))
    call avR2(126, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5725])

    allocate(vertices(992)%branchR2(0:1))
    call avR2(992, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_5666, nGC_5664])

    call avR2(992, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_5672, nGC_5671])

    allocate(vertices(874)%branchR2(0:0))
    call avR2(874, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5719, nGC_5720, nGC_5721])

    allocate(vertices(839)%branchR2(0:0))
    call avR2(839, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5747])

    allocate(vertices(703)%branchR2(0:0))
    call avR2(703, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5677])

    allocate(vertices(93)%branchR2(0:0))
    call avR2(93, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_12407])

    allocate(vertices(10)%branchR2(0:0))
    call avR2(10, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5748])

    allocate(vertices(786)%branchR2(0:0))
    call avR2(786, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5747])

    allocate(vertices(344)%branchR2(0:1))
    call avR2(344, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5658])

    call avR2(344, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5659])

    allocate(vertices(27)%branchR2(0:0))
    call avR2(27, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_5623, nGC_5622])

    allocate(vertices(362)%branchR2(0:1))
    call avR2(362, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_5618, nGC_5620])

    call avR2(362, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_5619, nGC_5621])

    allocate(vertices(44)%branchR2(0:0))
    call avR2(44, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5549, nGC_5550])

    allocate(vertices(43)%branchR2(0:0))
    call avR2(43, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5728])

    allocate(vertices(140)%branchR2(0:1))
    call avR2(140, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5658])

    call avR2(140, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5659])

    allocate(vertices(399)%branchR2(0:1))
    call avR2(399, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_5651, nGC_5651])

    call avR2(399, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_5649, nGC_5650])

    allocate(vertices(144)%branchR2(0:0))
    call avR2(144, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5673, nGC_5674])

    allocate(vertices(221)%branchR2(0:0))
    call avR2(221, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_5568])

    allocate(vertices(963)%branchR2(0:0))
    call avR2(963, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5748])

    allocate(vertices(710)%branchR2(0:0))
    call avR2(710, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5727])

    allocate(vertices(294)%branchR2(0:0))
    call avR2(294, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_5586])

    allocate(vertices(289)%branchR2(0:0))
    call avR2(289, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_12013])

    allocate(vertices(718)%branchR2(0:0))
    call avR2(718, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5725])

    allocate(vertices(146)%branchR2(0:1))
    call avR2(146, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_5618, nGC_5620])

    call avR2(146, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_5619, nGC_5621])

    allocate(vertices(1041)%branchR2(0:0))
    call avR2(1041, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5743])

    allocate(vertices(888)%branchR2(0:0))
    call avR2(888, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_5641, nGC_5640])

    allocate(vertices(836)%branchR2(0:3))
    call avR2(836, 0, 36, 1, 0, FaVF0, 0, [1, 2], [nGC_5711, nGC_5710])

    call avR2(836, 1, 36, 1, 0, FaVF0, 0, [3, 0], [nGC_5707, nGC_5707])

    call avR2(836, 2, 37, 1, 0, FaVF0, 0, [1, 2], [nGC_5709, nGC_5708])

    call avR2(836, 3, 37, 1, 0, FaVF0, 0, [3, 0], [nGC_5704, nGC_5704])

    allocate(vertices(890)%branchR2(0:0))
    call avR2(890, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5718])

    allocate(vertices(1080)%branchR2(0:1))
    call avR2(1080, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_5513, nGC_5512, nGC_5529&
    , nGC_5529])

    call avR2(1080, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_5489, nGC_5489, nGC_5530&
    , nGC_5530])

    allocate(vertices(1072)%branchR2(0:0))
    call avR2(1072, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5737])

    allocate(vertices(519)%branchR2(0:0))
    call avR2(519, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5726])

    allocate(vertices(4)%branchR2(0:0))
    call avR2(4, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_5583])

    allocate(vertices(956)%branchR2(0:0))
    call avR2(956, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5734, nGC_5736, nGC_5735])

    allocate(vertices(81)%branchR2(0:1))
    call avR2(81, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_5666, nGC_5664])

    call avR2(81, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_5672, nGC_5671])

    allocate(vertices(678)%branchR2(0:0))
    call avR2(678, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5726])

    allocate(vertices(1244)%branchR2(0:1))
    call avR2(1244, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_5761, nGC_5761,        &
    nGC_5761])

    call avR2(1244, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_5762, nGC_5762,        &
    nGC_5762])

    allocate(vertices(52)%branchR2(0:1))
    call avR2(52, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_5659])

    call avR2(52, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_5660])

    allocate(vertices(1138)%branchR2(0:0))
    call avR2(1138, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_12316])

    allocate(vertices(1117)%branchR2(0:0))
    call avR2(1117, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_5554])

    allocate(vertices(1014)%branchR2(0:0))
    call avR2(1014, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_5586])

    allocate(vertices(841)%branchR2(0:0))
    call avR2(841, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5748])

    allocate(vertices(185)%branchR2(0:0))
    call avR2(185, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_13618])

    allocate(vertices(471)%branchR2(0:0))
    call avR2(471, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5661])

    allocate(vertices(337)%branchR2(0:1))
    call avR2(337, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5654, nGC_5655])

    call avR2(337, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5656, nGC_5656])

    allocate(vertices(377)%branchR2(0:0))
    call avR2(377, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5742])

    allocate(vertices(364)%branchR2(0:0))
    call avR2(364, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5724])

    allocate(vertices(700)%branchR2(0:0))
    call avR2(700, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5742])

    allocate(vertices(406)%branchR2(0:3))
    call avR2(406, 0, 40, 1, 0, VFaF1, 0, [1, 2], [nGC_5701, nGC_5700])

    call avR2(406, 1, 40, 1, 0, VFaF1, 0, [3, 0], [nGC_5692, nGC_5692])

    call avR2(406, 2, 41, 1, 0, VFaF1, 0, [1, 2], [nGC_5699, nGC_5698])

    call avR2(406, 3, 41, 1, 0, VFaF1, 0, [3, 0], [nGC_5689, nGC_5689])

    allocate(vertices(608)%branchR2(0:3))
    call avR2(608, 0, 34, 1, 0, FaFV1, 0, [1, 2], [nGC_5715, nGC_5714])

    call avR2(608, 1, 34, 1, 0, FaFV1, 0, [3, 0], [nGC_5707, nGC_5707])

    call avR2(608, 2, 35, 1, 0, FaFV1, 0, [1, 2], [nGC_5713, nGC_5712])

    call avR2(608, 3, 35, 1, 0, FaFV1, 0, [3, 0], [nGC_5704, nGC_5704])

    allocate(vertices(801)%branchR2(0:0))
    call avR2(801, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_5645, nGC_5644])

    allocate(vertices(488)%branchR2(0:1))
    call avR2(488, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_5569, nGC_5571])

    call avR2(488, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_5570, nGC_5572])

    allocate(vertices(711)%branchR2(0:1))
    call avR2(711, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_5636, nGC_5636])

    call avR2(711, 1, 18, 1, 0, FaSF1, 0, [0, 3], [nGC_5634, nGC_5635])

    allocate(vertices(793)%branchR2(0:1))
    call avR2(793, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_5670, nGC_5668])

    call avR2(793, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_5683, nGC_5682])

    allocate(vertices(1037)%branchR2(0:0))
    call avR2(1037, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5766, nGC_5767, nGC_5767&
    ])

    allocate(vertices(1086)%branchR2(0:1))
    call avR2(1086, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_5491, nGC_5490, nGC_5514&
    , nGC_5514])

    call avR2(1086, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_5489, nGC_5489, nGC_5515&
    , nGC_5515])

    allocate(vertices(858)%branchR2(0:1))
    call avR2(858, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_5633, nGC_5633])

    call avR2(858, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_5631, nGC_5632])

    allocate(vertices(228)%branchR2(0:0))
    call avR2(228, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5742])

    allocate(vertices(209)%branchR2(0:1))
    call avR2(209, 0, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_5574, nGC_5576])

    call avR2(209, 1, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_5589, nGC_5590])

    allocate(vertices(1245)%branchR2(0:1))
    call avR2(1245, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_5755, nGC_5755,        &
    nGC_5755])

    call avR2(1245, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_5756, nGC_5756,        &
    nGC_5756])

    allocate(vertices(1108)%branchR2(0:0))
    call avR2(1108, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5737])

    allocate(vertices(336)%branchR2(0:0))
    call avR2(336, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5749])

    allocate(vertices(339)%branchR2(0:1))
    call avR2(339, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_5659])

    call avR2(339, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_5660])

    allocate(vertices(97)%branchR2(0:0))
    call avR2(97, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_5630])

    allocate(vertices(361)%branchR2(0:0))
    call avR2(361, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5748])

    allocate(vertices(1246)%branchR2(0:1))
    call avR2(1246, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_5761, nGC_5761,        &
    nGC_5761])

    call avR2(1246, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_5762, nGC_5762,        &
    nGC_5762])

    allocate(vertices(785)%branchR2(0:1))
    call avR2(785, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_5546, nGC_5546])

    call avR2(785, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_5545, nGC_5544])

    allocate(vertices(465)%branchR2(0:0))
    call avR2(465, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_5534])

    allocate(vertices(698)%branchR2(0:1))
    call avR2(698, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5659])

    call avR2(698, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5660])

    allocate(vertices(924)%branchR2(0:3))
    call avR2(924, 0, 36, 1, 0, FaVF0, 0, [1, 2], [nGC_5706, nGC_5705])

    call avR2(924, 1, 36, 1, 0, FaVF0, 0, [3, 0], [nGC_5707, nGC_5707])

    call avR2(924, 2, 37, 1, 0, FaVF0, 0, [1, 2], [nGC_5703, nGC_5702])

    call avR2(924, 3, 37, 1, 0, FaVF0, 0, [3, 0], [nGC_5704, nGC_5704])

    allocate(vertices(1247)%branchR2(0:1))
    call avR2(1247, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_5768])

    call avR2(1247, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_5769])

    allocate(vertices(432)%branchR2(0:0))
    call avR2(432, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5728])

    allocate(vertices(1111)%branchR2(0:0))
    call avR2(1111, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5737])

    allocate(vertices(141)%branchR2(0:0))
    call avR2(141, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5560, nGC_5561])

    allocate(vertices(931)%branchR2(0:0))
    call avR2(931, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5549, nGC_5550])

    allocate(vertices(842)%branchR2(0:0))
    call avR2(842, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_5675, nGC_5676])

    allocate(vertices(614)%branchR2(0:0))
    call avR2(614, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5765, nGC_5763, nGC_5764])

    allocate(vertices(87)%branchR2(0:0))
    call avR2(87, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_5564])

    allocate(vertices(46)%branchR2(0:0))
    call avR2(46, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5718])

  end subroutine fill_vertices_mdl5
end module vertices_info5
