!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 16:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_7787) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_7789) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_5539) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(  &
                      nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(   &
                      nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 +  &
                      4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(   &
                      nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 -  &
                      4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(   &
                      nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 -  &
                      6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_988) - 6d0*coupl&
                      (nGC_22)*coupl(nGC_292)*coupl(nGC_3) + coupl(nGC_262)**  &
                      2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_464)**2d0 + 4d0&
                      *coupl(nGC_4)*coupl(nGC_65)**2d0 + 4d0*coupl(nGC_4)*coupl&
                      (nGC_69)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_81)**2d0)/(   &
                      96d0*pi**2d0)
    coupl(nGC_7825) = coupl(nGC_39)*dZZ_QED2/2d0 + coupl(nGC_39)*dZuL_QED2 +   &
                      coupl(nGC_5845)
    coupl(nGC_7824) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZuR_QED2 +   &
                      coupl(nGC_5844)
    coupl(nGC_7827) = coupl(nGC_7649) + coupl(nGC_7825)
    coupl(nGC_7826) = coupl(nGC_7649) + coupl(nGC_7824)
    coupl(nGC_8461) = coupl(nGC_25)*dZWMinus_QED2 + coupl(nGC_25)*dZZ_QED2/2d0 &
                       + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_5802)
    coupl(nGC_8462) = -coupl(nGC_8461)
    coupl(nGC_8293) = coupl(nGC_5923) + coupl(nGC_8287)
    coupl(nGC_8292) = coupl(nGC_5922) + coupl(nGC_8286)
    coupl(nGC_8330) = coupl(nGC_5891) + coupl(nGC_83)*dZH_QED2/2d0
    coupl(nGC_8331) = coupl(nGC_8327) + coupl(nGC_8330)
    coupl(nGC_8998) = -coupl(nGC_8517)
    coupl(nGC_5543) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75) - 4d0*Nc*cMS*   &
                      coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) - 4d0*cME*coupl(&
                      nGC_36)*coupl(nGC_4)*coupl(nGC_67) - 4d0*cME*coupl(nGC_4 &
                      )*coupl(nGC_40)*coupl(nGC_67) - 4d0*cMM*coupl(nGC_36)*   &
                      coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*coupl(nGC_4)*coupl( &
                      nGC_40)*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_36)*coupl(    &
                      nGC_4)*coupl(nGC_83) - 4d0*cMTA*coupl(nGC_4)*coupl(nGC_40&
                      )*coupl(nGC_83) + 4d0*cima*coupl(nGC_29)*coupl(nGC_50) - &
                      coupl(nGC_172)*coupl(nGC_20)*coupl(nGC_51) + 6d0*coupl(  &
                      nGC_172)*coupl(nGC_352)*coupl(nGC_50) - coupl(nGC_21)*   &
                      coupl(nGC_25)*coupl(nGC_51) + 6d0*coupl(nGC_25)*coupl(   &
                      nGC_3)*coupl(nGC_50) - coupl(nGC_3)*coupl(nGC_47)*coupl( &
                      nGC_890) - coupl(nGC_352)*coupl(nGC_47)*coupl(nGC_988))/(&
                      32d0*pi**2d0)
    coupl(nGC_7733) = coupl(nGC_55)*dZH_QED2/2d0 + coupl(nGC_5879)
    coupl(nGC_5547) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_352))/(32d0*pi**2d0)
    coupl(nGC_5548) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(nGC_61)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_5549) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_8994) = coupl(nGC_24)*dZZ_QED2/2d0 + coupl(nGC_4)*dZAZ_QED2/2d0  &
                       + coupl(nGC_5811)
    coupl(nGC_8995) = -coupl(nGC_8994)
    coupl(nGC_8684) = coupl(nGC_5888) + coupl(nGC_84)*dZtauMinusL_QED2/2d0 +   &
                      coupl(nGC_84)*dZtauMinusR_QED2/2d0
    coupl(nGC_7241) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_5809)
    coupl(nGC_7247) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*         &
                      dZeMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_eL_QED2/2d0 +    &
                      coupl(nGC_5843)
    coupl(nGC_12926) = -coupl(nGC_5657)
    coupl(nGC_11996) = -coupl(nGC_5585)
    coupl(nGC_5504) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_35 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*cME**2d0*cima&
                      *coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*coupl(nGC_36)*  &
                      coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(     &
                      nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*coupl(nGC_4   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_40) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_172)*coupl(nGC_352) + 3d0*cMW**  &
                      2d0*cima*coupl(nGC_25)*coupl(nGC_3) - 2d0*cMW**2d0*coupl(&
                      nGC_29))/(16d0*pi**2d0)
    coupl(nGC_5499) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_23&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_172)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 +   &
                      3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 + 3d0*cMW**2d0*cima* &
                      coupl(nGC_352)**2d0 - 4d0*cMW**2d0*coupl(nGC_18) + 3d0*  &
                      cMZ**2d0*cima*coupl(nGC_172)**2d0 + 3d0*cMZ**2d0*cima*   &
                      coupl(nGC_25)**2d0 - 2d0*cMZ**2d0*coupl(nGC_368))/(32d0* &
                      pi**2d0)
    coupl(nGC_7696) = coupl(nGC_25)*dZZ_QED2/2d0 + coupl(nGC_3)*dZAZ_QED2/2d0  &
                       + coupl(nGC_5802)
    coupl(nGC_7697) = -coupl(nGC_7696)
    coupl(nGC_12193) = -coupl(nGC_5539)
    coupl(nGC_7691) = coupl(nGC_5890) + coupl(nGC_71)*dZH_QED2/2d0
    coupl(nGC_8229) = coupl(nGC_5924) + coupl(nGC_8223)
    coupl(nGC_7755) = coupl(nGC_7499) + coupl(nGC_7754)
    coupl(nGC_9008) = -coupl(nGC_9007)
    coupl(nGC_7619) = coupl(nGC_5896) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_60)*dZcR_QCD2/2d0
    coupl(nGC_7384) = -2d0*coupl(nGC_7381) + coupl(nGC_7382)
    coupl(nGC_5763) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +    &
                      12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(     &
                      nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39)** &
                      2d0 - 8d0*cima*coupl(nGC_172)**2d0*coupl(nGC_25)**2d0 +  &
                      4d0*cima*coupl(nGC_19)**2d0 + 4d0*cima*coupl(nGC_206)**  &
                      2d0 - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 +   &
                      12d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41  &
                      ) - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 - 8d0*&
                      cima*coupl(nGC_25)**2d0*coupl(nGC_352)**2d0 + coupl(     &
                      nGC_172)**2d0*coupl(nGC_19) + coupl(nGC_172)**2d0*coupl( &
                      nGC_492) + 12d0*coupl(nGC_172)*coupl(nGC_19)*coupl(nGC_25&
                      ) + 2d0*coupl(nGC_172)*coupl(nGC_25)*coupl(nGC_368) +    &
                      coupl(nGC_18)*coupl(nGC_25)**2d0 + coupl(nGC_19)*coupl(  &
                      nGC_352)**2d0 + 12d0*coupl(nGC_206)*coupl(nGC_25)*coupl( &
                      nGC_352) + 2d0*coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_352 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5764) = (18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 -    &
                      30d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(     &
                      nGC_39) + 18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39)**&
                      2d0 - 16d0*cima*coupl(nGC_172)**2d0*coupl(nGC_25)**2d0 + &
                      6d0*cima*coupl(nGC_18)*coupl(nGC_368) + 18d0*cima*coupl( &
                      nGC_23)**2d0*coupl(nGC_40)**2d0 - 30d0*cima*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40)*coupl(nGC_41) + 18d0*cima*coupl(    &
                      nGC_23)**2d0*coupl(nGC_41)**2d0 - 16d0*cima*coupl(nGC_25 &
                      )**2d0*coupl(nGC_352)**2d0 + 9d0*coupl(nGC_172)**2d0*    &
                      coupl(nGC_18) + 9d0*coupl(nGC_172)**2d0*coupl(nGC_368) + &
                      6d0*coupl(nGC_172)*coupl(nGC_19)*coupl(nGC_25) + 9d0*    &
                      coupl(nGC_18)*coupl(nGC_25)**2d0 + 6d0*coupl(nGC_206)*   &
                      coupl(nGC_25)*coupl(nGC_352) + 9d0*coupl(nGC_352)**2d0*  &
                      coupl(nGC_368))/(48d0*pi**2d0)
    coupl(nGC_5765) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +    &
                      12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(     &
                      nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39)** &
                      2d0 - 8d0*cima*coupl(nGC_172)**2d0*coupl(nGC_25)**2d0 +  &
                      4d0*cima*coupl(nGC_19)**2d0 + 4d0*cima*coupl(nGC_206)**  &
                      2d0 - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 +   &
                      12d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41  &
                      ) - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 - 8d0*&
                      cima*coupl(nGC_25)**2d0*coupl(nGC_352)**2d0 + coupl(     &
                      nGC_172)**2d0*coupl(nGC_18) + coupl(nGC_172)**2d0*coupl( &
                      nGC_19) + 12d0*coupl(nGC_172)*coupl(nGC_19)*coupl(nGC_25 &
                      ) + 2d0*coupl(nGC_172)*coupl(nGC_25)*coupl(nGC_368) +    &
                      coupl(nGC_19)*coupl(nGC_352)**2d0 + 12d0*coupl(nGC_206)* &
                      coupl(nGC_25)*coupl(nGC_352) + coupl(nGC_25)**2d0*coupl( &
                      nGC_492) + 2d0*coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_352 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5766) = (-30d0*Nc*cima*coupl(nGC_23)**4d0 - 4d0*cima*coupl(      &
                      nGC_172)**4d0 - 16d0*cima*coupl(nGC_172)**2d0*coupl(     &
                      nGC_25)**2d0 - 8d0*cima*coupl(nGC_172)**2d0*coupl(nGC_352&
                      )**2d0 - 32d0*cima*coupl(nGC_172)*coupl(nGC_25)*coupl(   &
                      nGC_3)*coupl(nGC_352) - 30d0*cima*coupl(nGC_23)**4d0 -   &
                      4d0*cima*coupl(nGC_25)**4d0 - 8d0*cima*coupl(nGC_25)**2d0&
                      *coupl(nGC_3)**2d0 - 4d0*cima*coupl(nGC_3)**4d0 - 16d0*  &
                      cima*coupl(nGC_3)**2d0*coupl(nGC_352)**2d0 - 4d0*cima*   &
                      coupl(nGC_352)**4d0 + 3d0*cima*coupl(nGC_492)**2d0 + 3d0*&
                      coupl(nGC_172)**2d0*coupl(nGC_19) + 3d0*coupl(nGC_172)** &
                      2d0*coupl(nGC_492) + 6d0*coupl(nGC_172)*coupl(nGC_206)*  &
                      coupl(nGC_352) + 18d0*coupl(nGC_172)*coupl(nGC_25)*coupl(&
                      nGC_492) + 3d0*coupl(nGC_19)*coupl(nGC_25)**2d0 + 6d0*   &
                      coupl(nGC_206)*coupl(nGC_25)*coupl(nGC_3) + 3d0*coupl(   &
                      nGC_25)**2d0*coupl(nGC_492) + 3d0*coupl(nGC_3)**2d0*coupl&
                      (nGC_492) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5) + 18d0*   &
                      coupl(nGC_3)*coupl(nGC_352)*coupl(nGC_492) + 3d0*coupl(  &
                      nGC_352)**2d0*coupl(nGC_492) + 3d0*coupl(nGC_352)**2d0*  &
                      coupl(nGC_5))/(48d0*pi**2d0)
    coupl(nGC_5767) = (36d0*Nc*cima*coupl(nGC_23)**4d0 - 16d0*cima*coupl(      &
                      nGC_172)**4d0 - 24d0*cima*coupl(nGC_172)**2d0*coupl(     &
                      nGC_25)**2d0 - 32d0*cima*coupl(nGC_172)**2d0*coupl(      &
                      nGC_352)**2d0 - 48d0*cima*coupl(nGC_172)*coupl(nGC_25)*  &
                      coupl(nGC_3)*coupl(nGC_352) + 12d0*cima*coupl(nGC_18)**  &
                      2d0 + 6d0*cima*coupl(nGC_198)**2d0 + 36d0*cima*coupl(    &
                      nGC_23)**4d0 - 16d0*cima*coupl(nGC_25)**4d0 - 32d0*cima* &
                      coupl(nGC_25)**2d0*coupl(nGC_3)**2d0 + 12d0*cima*coupl(  &
                      nGC_29)**2d0 - 16d0*cima*coupl(nGC_3)**4d0 - 24d0*cima*  &
                      coupl(nGC_3)**2d0*coupl(nGC_352)**2d0 - 16d0*cima*coupl( &
                      nGC_352)**4d0 + 6d0*cima*coupl(nGC_368)**2d0 + 21d0*coupl&
                      (nGC_172)**2d0*coupl(nGC_18) + 3d0*coupl(nGC_172)**2d0*  &
                      coupl(nGC_19) + 18d0*coupl(nGC_172)**2d0*coupl(nGC_368   &
                      ) + 6d0*coupl(nGC_172)*coupl(nGC_18)*coupl(nGC_25) + 6d0*&
                      coupl(nGC_172)*coupl(nGC_206)*coupl(nGC_352) + 36d0*coupl&
                      (nGC_172)*coupl(nGC_29)*coupl(nGC_352) + 21d0*coupl(     &
                      nGC_18)*coupl(nGC_25)**2d0 + 21d0*coupl(nGC_18)*coupl(   &
                      nGC_3)**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_3)*coupl(      &
                      nGC_352) + 21d0*coupl(nGC_18)*coupl(nGC_352)**2d0 + 3d0* &
                      coupl(nGC_19)*coupl(nGC_25)**2d0 + 18d0*coupl(nGC_198)*  &
                      coupl(nGC_3)**2d0 + 18d0*coupl(nGC_198)*coupl(nGC_352)** &
                      2d0 + 6d0*coupl(nGC_206)*coupl(nGC_25)*coupl(nGC_3) +    &
                      18d0*coupl(nGC_25)**2d0*coupl(nGC_368) + 36d0*coupl(     &
                      nGC_25)*coupl(nGC_29)*coupl(nGC_3) + 3d0*coupl(nGC_3)**  &
                      2d0*coupl(nGC_5) + 3d0*coupl(nGC_352)**2d0*coupl(nGC_5   &
                      ))/(96d0*pi**2d0)
    coupl(nGC_7532) = coupl(nGC_7333) + coupl(nGC_7529)
    coupl(nGC_7531) = coupl(nGC_7333) + coupl(nGC_7530)
    coupl(nGC_7537) = coupl(nGC_48)*dZH_QED2/2d0 + coupl(nGC_5818) + coupl(    &
                      nGC_GGH)
    coupl(nGC_7430) = coupl(nGC_24)*dZWMinus_QED2/2d0 + coupl(nGC_5811)
    coupl(nGC_7431) = -coupl(nGC_7430)
    coupl(nGC_7988) = coupl(nGC_7276) + coupl(nGC_7985)
    coupl(nGC_7336) = coupl(nGC_7333) + coupl(nGC_7334)
    coupl(nGC_9517) = coupl(nGC_38)*dZZ_QED2/2d0 + coupl(nGC_38)*dZbL_QED2 +   &
                      coupl(nGC_5846)
    coupl(nGC_8486) = coupl(nGC_5876) + coupl(nGC_8485)
    coupl(nGC_8487) = coupl(nGC_5877) + coupl(nGC_75)*dZH_QED2/2d0
    coupl(nGC_11095) = -coupl(nGC_11091)
    coupl(nGC_7324) = -coupl(nGC_7323)
    coupl(nGC_8082) = coupl(nGC_44)*dZH_QED2/2d0 + coupl(nGC_5814)
    coupl(nGC_7284) = coupl(nGC_7276) + coupl(nGC_7281)
    coupl(nGC_8368) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*              &
                      dZmuMinusR_QED2 + coupl(nGC_5849)
    coupl(nGC_7282) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*dZeMinusR_QED2&
                       + coupl(nGC_5849)
    coupl(nGC_8003) = coupl(nGC_5918) + coupl(nGC_7999)
    coupl(nGC_8796) = coupl(nGC_7416) + coupl(nGC_8795)
    coupl(nGC_8797) = coupl(nGC_7416) + coupl(nGC_8794)
    coupl(nGC_7351) = coupl(nGC_7347) + coupl(nGC_7350)
    coupl(nGC_7641) = coupl(nGC_5867) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl(   &
                      nGC_74)*dZsR_QED2/2d0
    coupl(nGC_7640) = coupl(nGC_5869) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl(   &
                      nGC_76)*dZsR_QED2/2d0
    coupl(nGC_8652) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*dZnu_tauL_QED2&
                       + coupl(nGC_5848)
    coupl(nGC_7292) = coupl(nGC_5904) + coupl(nGC_7291)
    coupl(nGC_7458) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*dZnu_muL_QED2 &
                       + coupl(nGC_5848)
    coupl(nGC_7191) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*dZnu_eL_QED2  &
                       + coupl(nGC_5848)
    coupl(nGC_7889) = coupl(nGC_5906) + coupl(nGC_7888)
    coupl(nGC_8077) = -2d0*coupl(nGC_8076)
    coupl(nGC_9608) = -coupl(nGC_9604)
    coupl(nGC_7518) = coupl(nGC_5914) + coupl(nGC_7515)
    coupl(nGC_7793) = coupl(nGC_5927) + coupl(nGC_7789)
    coupl(nGC_8582) = coupl(nGC_5921) + coupl(nGC_8576)
    coupl(nGC_8581) = coupl(nGC_5920) + coupl(nGC_8575)
    coupl(nGC_7465) = -coupl(nGC_7464)
    coupl(nGC_7184) = -coupl(nGC_7183)
    coupl(nGC_7656) = coupl(nGC_39)*dZZ_QED2/2d0 + coupl(nGC_39)*dZtL_QED2 +   &
                      coupl(nGC_5845)
    coupl(nGC_8186) = -coupl(nGC_8185)
    coupl(nGC_12013) = -coupl(nGC_5584)
    coupl(nGC_9519) = coupl(nGC_7215) + coupl(nGC_9517)
    coupl(nGC_7659) = coupl(nGC_7649) + coupl(nGC_7656)
    coupl(nGC_7469) = -coupl(nGC_7468)
    coupl(nGC_7890) = coupl(nGC_59)*dZH_QED2/2d0 + coupl(nGC_5907)
    coupl(nGC_7891) = coupl(nGC_7887) + coupl(nGC_7890)
    coupl(nGC_11272) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_5799)
    coupl(nGC_11273) = -2d0*coupl(nGC_11272)
    coupl(nGC_11276) = -coupl(nGC_11272)
    coupl(nGC_11277) = 2d0*coupl(nGC_11272)
    coupl(nGC_7475) = coupl(nGC_42)*dZAZ_QED2 + coupl(nGC_45)*dZZ_QED2 + coupl(&
                      nGC_5838)
    coupl(nGC_7375) = coupl(nGC_5884) + coupl(nGC_66)*dZeMinusL_QED2/2d0 +     &
                      coupl(nGC_66)*dZeMinusR_QED2/2d0
    coupl(nGC_7216) = coupl(nGC_38)*dZZ_QED2/2d0 + coupl(nGC_38)*dZdL_QED2 +   &
                      coupl(nGC_5846)
    coupl(nGC_7376) = coupl(nGC_5883) + coupl(nGC_68)*dZeMinusL_QED2/2d0 +     &
                      coupl(nGC_68)*dZeMinusR_QED2/2d0
    coupl(nGC_9056) = coupl(nGC_7416) + coupl(nGC_9055)
    coupl(nGC_9057) = coupl(nGC_7416) + coupl(nGC_9054)
    coupl(nGC_8625) = coupl(nGC_8623) + coupl(nGC_8624)
    coupl(nGC_7621) = coupl(nGC_5897) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl(   &
                      nGC_60)*dZcR_QED2/2d0
    coupl(nGC_8055) = coupl(nGC_7404) + coupl(nGC_8054)
    coupl(nGC_5719) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)**2d0&
                       - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0 -   &
                      16d0*cima*coupl(nGC_172)**2d0*coupl(nGC_3)**2d0 + 12d0*  &
                      cima*coupl(nGC_206)**2d0 - 12d0*cima*coupl(nGC_23)**2d0* &
                      coupl(nGC_4)**2d0 - 8d0*cima*coupl(nGC_25)**2d0*coupl(   &
                      nGC_352)**2d0 - 24d0*cima*coupl(nGC_3)**2d0*coupl(nGC_352&
                      )**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0*coupl(nGC_172 &
                      )**2d0*coupl(nGC_5) + 36d0*coupl(nGC_172)*coupl(nGC_206)*&
                      coupl(nGC_3) + 3d0*coupl(nGC_18)*coupl(nGC_3)**2d0 + 6d0*&
                      coupl(nGC_198)*coupl(nGC_3)*coupl(nGC_352) + 6d0*coupl(  &
                      nGC_25)*coupl(nGC_29)*coupl(nGC_352) + 36d0*coupl(nGC_3)*&
                      coupl(nGC_352)*coupl(nGC_5) + 3d0*coupl(nGC_352)**2d0*   &
                      coupl(nGC_492) + 3d0*coupl(nGC_352)**2d0*coupl(nGC_5))/( &
                      96d0*pi**2d0)
    coupl(nGC_5718) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_57)**2d0 - 32d0*&
                      Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_61)**2d0 - 32d0*Nc*  &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_73)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_1)**2d0*coupl(nGC_77)**2d0 - 32d0*Nc*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(    &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_53)**2d0 + 40d0*Nc*cima*   &
                      coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57)**2d0 + 40d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61)**2d0 + 40d0*&
                      Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73)**2d0 +   &
                      40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77)**2d0&
                       + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85)**&
                      2d0 - 32d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_53)**2d0  &
                       - 32d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_57)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_61)**2d0 - 32d0*&
                      Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_73)**2d0 - 32d0*Nc*  &
                      cima*coupl(nGC_2)**2d0*coupl(nGC_77)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 + 24d0*cima*coupl(  &
                      nGC_17)*coupl(nGC_198) + 9d0*cima*coupl(nGC_20)*coupl(   &
                      nGC_3)**2d0*coupl(nGC_988) + 9d0*cima*coupl(nGC_21)*coupl&
                      (nGC_352)**2d0*coupl(nGC_890) + 9d0*cima*coupl(nGC_22)*  &
                      coupl(nGC_292)*coupl(nGC_3)**2d0 + 9d0*cima*coupl(nGC_22 &
                      )*coupl(nGC_292)*coupl(nGC_352)**2d0 + 8d0*cima*coupl(   &
                      nGC_262)**2d0*coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_262 &
                      )**2d0*coupl(nGC_40)**2d0 + 4d0*cima*coupl(nGC_4)**2d0*  &
                      coupl(nGC_464)**2d0 - 32d0*cima*coupl(nGC_4)**2d0*coupl( &
                      nGC_65)**2d0 - 32d0*cima*coupl(nGC_4)**2d0*coupl(nGC_69  &
                      )**2d0 - 32d0*cima*coupl(nGC_4)**2d0*coupl(nGC_81)**2d0  &
                       + 36d0*coupl(nGC_17)*coupl(nGC_3)**2d0 + 36d0*coupl(    &
                      nGC_17)*coupl(nGC_352)**2d0 - 6d0*coupl(nGC_198)*coupl(  &
                      nGC_20)*coupl(nGC_988) - 6d0*coupl(nGC_198)*coupl(nGC_22 &
                      )*coupl(nGC_292) - 6d0*coupl(nGC_20)*coupl(nGC_27)*coupl(&
                      nGC_3) - 6d0*coupl(nGC_21)*coupl(nGC_27)*coupl(nGC_352   &
                      ) - 6d0*coupl(nGC_22)*coupl(nGC_26)*coupl(nGC_3) - 6d0*  &
                      coupl(nGC_22)*coupl(nGC_28)*coupl(nGC_352) - 6d0*coupl(  &
                      nGC_26)*coupl(nGC_292)*coupl(nGC_352) + 6d0*coupl(nGC_262&
                      )**2d0*coupl(nGC_6) - 6d0*coupl(nGC_27)*coupl(nGC_3)*    &
                      coupl(nGC_988) - 6d0*coupl(nGC_27)*coupl(nGC_352)*coupl( &
                      nGC_890) - 6d0*coupl(nGC_28)*coupl(nGC_292)*coupl(nGC_3  &
                      ) + 6d0*coupl(nGC_464)**2d0*coupl(nGC_6))/(192d0*pi**2d0)
    coupl(nGC_8116) = coupl(nGC_7649) + coupl(nGC_8114)
    coupl(nGC_7734) = coupl(nGC_7730) + coupl(nGC_7733)
    coupl(nGC_7639) = coupl(nGC_5866) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_74)*dZsR_QCD2/2d0
    coupl(nGC_7485) = coupl(nGC_7404) + coupl(nGC_7483)
    coupl(nGC_7317) = -coupl(nGC_7316)
    coupl(nGC_7313) = -coupl(nGC_7310)/2d0 + coupl(nGC_7311)
    coupl(nGC_7312) = coupl(nGC_7310) - 2d0*coupl(nGC_7311)
    coupl(nGC_8526) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_5800)
    coupl(nGC_7692) = coupl(nGC_7690) + coupl(nGC_7691)
    coupl(nGC_8488) = coupl(nGC_8484) + coupl(nGC_8487)
    coupl(nGC_7219) = coupl(nGC_7215) + coupl(nGC_7216)
    coupl(nGC_7283) = coupl(nGC_7276) + coupl(nGC_7282)
    coupl(nGC_8369) = coupl(nGC_7276) + coupl(nGC_8368)
    coupl(nGC_8527) = -coupl(nGC_8526)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
