!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 16:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 930, check)
    call createCurrent(P_t, P_tAnti, P_g, 248, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 955, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 611, check)
    call createCurrent(P_G0, P_cAnti, P_c, 305, check)
    call createCurrent(P_G0, P_H, P_A, 1087, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 883, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 505, check)
    call createCurrent(P_t, P_tAnti, P_A, 487, check)
    call createCurrent(P_c, P_G0, P_cAnti, 80, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 634, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 764, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 88, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 595, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 678, check)
    call createCurrent(P_tAnti, P_t, P_Z, 793, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 840, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 847, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 257, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 84, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 574, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 173, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 213, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1116, check)
    call createCurrent(P_H, P_H, P_A, P_Z, 1089, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 941, check)
    call createCurrent(P_Z, P_dAnti, P_d, 81, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 904, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 985, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 34, check)
    call createCurrent(P_muPlus, P_muMinus, 1126, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 176, check)
    call createCurrent(P_bAnti, P_b, P_Z, 585, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 151, check)
    call createCurrent(P_G0, P_uAnti, P_u, 761, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 827, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 191, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 299, check)
    call createCurrent(P_A, P_c, P_cAnti, 601, check)
    call createCurrent(P_s, P_sAnti, P_H, 438, check)
    call createCurrent(P_t, P_tAnti, P_G0, 730, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1246, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1231, check)
    call createCurrent(P_H, P_G0, P_G0, 923, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 929, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 876, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 751, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 621, check)
    call createCurrent(P_A, P_uAnti, P_u, 448, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 53, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 59, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 824, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 133, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 107, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1098, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 182, check)
    call createCurrent(P_Z, P_c, P_cAnti, 758, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 927, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 249, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 225, check)
    call createCurrent(P_H, P_H, 1099, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1229, check)
    call createCurrent(P_uAnti, P_u, 1125, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 951, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 613, check)
    call createCurrent(P_b, P_A, P_bAnti, 754, check)
    call createCurrent(P_G0, P_b, P_bAnti, 624, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 430, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 701, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 321, check)
    call createCurrent(P_u, P_uAnti, P_Z, 872, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1172, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 1007, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 44, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 603, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 1027, check)
    call createCurrent(P_s, P_g, P_sAnti, 766, check)
    call createCurrent(P_A, P_bAnti, P_b, 512, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 148, check)
    call createCurrent(P_Z, P_u, P_uAnti, 816, check)
    call createCurrent(P_sAnti, P_s, 1131, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 272, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 841, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 237, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 324, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 849, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 531, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 164, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 322, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 413, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 127, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 74, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 358, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 51, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 549, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 744, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 649, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1112, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 946, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 1088, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 706, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 984, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 770, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 92, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1196, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 735, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 132, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1160, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 699, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 439, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 461, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 863, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 308, check)
    call createCurrent(P_dAnti, P_d, 1086, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 0, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 507, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 562, check)
    call createCurrent(P_u, P_uAnti, P_G0, 77, check)
    call createCurrent(P_s, P_A, P_sAnti, 787, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 1002, check)
    call createCurrent(P_Z, P_A, P_A, P_A, 1157, check)
    call createCurrent(P_GMinus, P_GPlus, 1114, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 651, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 54, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 567, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1165, check)
    call createCurrent(P_d, P_dAnti, 1071, check)
    call createCurrent(P_t, P_G0, P_tAnti, 156, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 1199, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1078, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 253, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 860, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 864, check)
    call createCurrent(P_H, P_G0, P_A, 1075, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 748, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1117, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 1020, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1106, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 223, check)
    call createCurrent(P_cAnti, P_g, P_c, 95, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 21, check)
    call createCurrent(P_A, P_cAnti, P_c, 536, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 1045, check)
    call createCurrent(P_G0, P_H, P_Z, 514, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 326, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 694, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 55, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1118, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 1166, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 463, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1092, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 510, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 571, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 152, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 304, check)
    call createCurrent(P_bAnti, P_b, P_g, 844, check)
    call createCurrent(P_cAnti, P_Z, P_c, 170, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 721, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1143, check)
    call createCurrent(P_g, P_tAnti, P_t, 101, check)
    call createCurrent(P_GPlus, P_GMinus, 1053, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1209, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 20, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 1048, check)
    call createCurrent(P_t, P_H, P_tAnti, 913, check)
    call createCurrent(P_cAnti, P_A, P_c, 933, check)
    call createCurrent(P_g, P_g, P_H, 1167, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 377, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 120, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 944, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 719, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 320, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 27, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 385, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 818, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 141, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 1182, check)
    call createCurrent(P_uAnti, P_u, P_H, 838, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 806, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 207, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 724, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 610, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 1105, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 15, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 460, check)
    call createCurrent(P_t, P_Z, P_tAnti, 405, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 534, check)
    call createCurrent(P_G0, P_dAnti, P_d, 670, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 697, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1234, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 1216, check)
    call createCurrent(P_s, P_Z, P_sAnti, 478, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 364, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 717, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 726, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 499, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 371, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 546, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 547, check)
    call createCurrent(P_H, P_cAnti, P_c, 411, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 48, check)
    call createCurrent(P_bAnti, P_b, P_G0, 593, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 440, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 166, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 891, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 821, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 810, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 354, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 394, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1107, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 402, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 422, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 157, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 558, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 56, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 397, check)
    call createCurrent(P_G0, P_u, P_uAnti, 94, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 126, check)
    call createCurrent(P_A, P_Z, P_Z, P_A, 1213, check)
    call createCurrent(P_c, P_cAnti, P_Z, 920, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 878, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 160, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 198, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 809, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 292, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 221, check)
    call createCurrent(P_u, P_A, P_uAnti, 769, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 49, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 6, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 965, check)
    call createCurrent(P_H, P_g, P_g, 1189, check)
    call createCurrent(P_uAnti, P_G0, P_u, 342, check)
    call createCurrent(P_A, P_u, P_uAnti, 275, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 234, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 72, check)
    call createCurrent(P_G0, P_c, P_cAnti, 637, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1150, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 600, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1203, check)
    call createCurrent(P_dAnti, P_d, P_Z, 992, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 533, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 121, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 693, check)
    call createCurrent(P_b, P_bAnti, P_G0, 580, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 368, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 375, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 988, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 130, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 163, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1155, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1164, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 449, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 1035, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 366, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 885, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 208, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1064, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1244, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 3, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 725, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 211, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 934, check)
    call createCurrent(P_Z, P_G0, P_H, 907, check)
    call createCurrent(P_cAnti, P_c, P_g, 738, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 266, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 607, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 273, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 559, check)
    call createCurrent(P_A, P_A, P_H, 1219, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 286, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 1047, check)
    call createCurrent(P_Z, P_b, P_bAnti, 983, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 963, check)
    call createCurrent(P_t, P_tAnti, P_H, 284, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1222, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 993, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 937, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 1175, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 465, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 728, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 1043, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 755, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 583, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 720, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 452, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 877, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 543, check)
    call createCurrent(P_sAnti, P_s, P_H, 131, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 798, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 22, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 739, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 575, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 174, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 640, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 996, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 931, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 239, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 698, check)
    call createCurrent(P_Z, P_uAnti, P_u, 410, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 671, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 330, check)
    call createCurrent(P_g, P_g, P_g, P_g, 910, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 212, check)
    call createCurrent(P_G0, P_A, P_H, 1127, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 772, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 142, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 175, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 466, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 673, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 451, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 588, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 1040, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 246, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 42, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 689, check)
    call createCurrent(P_dAnti, P_g, P_d, 525, check)
    call createCurrent(P_Z, P_A, P_Z, P_Z, 1152, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 145, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1074, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 788, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 259, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 486, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 281, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1144, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 235, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 427, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 279, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 833, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 62, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 831, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 901, check)
    call createCurrent(P_sAnti, P_s, P_A, 548, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 165, check)
    call createCurrent(P_s, P_sAnti, 1068, check)
    call createCurrent(P_H, P_Z, P_Z, 528, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 686, check)
    call createCurrent(P_G0, P_Z, 1122, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 629, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 17, check)
    call createCurrent(P_H, P_sAnti, P_s, 820, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1195, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 994, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 908, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 144, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 229, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 862, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 332, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 180, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 7, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 869, check)
    call createCurrent(P_tAnti, P_t, P_A, 19, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 116, check)
    call createCurrent(P_A, P_Z, P_H, P_H, 1142, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 594, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 1003, check)
    call createCurrent(P_u, P_uAnti, P_H, 337, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 18, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1174, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 616, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 846, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 660, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1145, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 586, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 361, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 1031, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 118, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1146, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 98, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 64, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 351, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 380, check)
    call createCurrent(P_G0, P_bAnti, P_b, 999, check)
    call createCurrent(P_A, P_d, P_dAnti, 356, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 1022, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 109, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1223, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 89, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 423, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 538, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 1012, check)
    call createCurrent(P_H, P_H, P_H, 317, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1120, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 482, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 60, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 1028, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 814, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 928, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 494, check)
    call createCurrent(P_dAnti, P_A, P_d, 716, check)
    call createCurrent(P_d, P_dAnti, P_g, 277, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 1218, check)
    call createCurrent(P_A, P_H, P_H, P_A, 1212, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 982, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 584, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1193, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 409, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 852, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 288, check)
    call createCurrent(P_A, P_sAnti, P_s, 205, check)
    call createCurrent(P_tAnti, P_t, P_H, 399, check)
    call createCurrent(P_H, P_A, P_H, P_A, 1237, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1191, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 682, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 202, check)
    call createCurrent(P_sAnti, P_A, P_s, 709, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 35, check)
    call createCurrent(P_A, P_G0, P_H, 1076, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 29, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 832, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 426, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 13, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 23, check)
    call createCurrent(P_Z, P_cAnti, P_c, 823, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1239, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1205, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 1041, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 1032, check)
    call createCurrent(P_d, P_dAnti, P_Z, 36, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 24, check)
    call createCurrent(P_dAnti, P_H, P_d, 668, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1124, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 425, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 392, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 732, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1054, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 757, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 28, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1202, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 745, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1233, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 309, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1069, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 710, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1197, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 310, check)
    call createCurrent(P_tAnti, P_H, P_t, 947, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 677, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1147, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1082, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 243, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 26, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 973, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 749, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 746, check)
    call createCurrent(P_c, P_g, P_cAnti, 881, check)
    call createCurrent(P_b, P_bAnti, P_H, 687, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 1, check)
    call createCurrent(P_Z, P_Z, P_A, P_Z, 1227, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1208, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 497, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 555, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 914, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1130, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 314, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 796, check)
    call createCurrent(P_uAnti, P_u, P_g, 608, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 903, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 896, check)
    call createCurrent(P_A, P_A, P_H, P_H, 1169, check)
    call createCurrent(P_c, P_Z, P_cAnti, 936, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 38, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 123, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 374, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 912, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 1026, check)
    call createCurrent(P_A, P_dAnti, P_d, 925, check)
    call createCurrent(P_tAnti, P_t, 1133, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 623, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 506, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1148, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 172, check)
    call createCurrent(P_sAnti, P_H, P_s, 360, check)
    call createCurrent(P_sAnti, P_G0, P_s, 504, check)
    call createCurrent(P_d, P_A, P_dAnti, 777, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 990, check)
    call createCurrent(P_bAnti, P_H, P_b, 539, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 1108, check)
    call createCurrent(P_dAnti, P_Z, P_d, 367, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 293, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 1038, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 967, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 276, check)
    call createCurrent(P_G0, P_s, P_sAnti, 82, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1217, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 866, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 650, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 436, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 834, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 696, check)
    call createCurrent(P_b, P_bAnti, P_A, 783, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 975, check)
    call createCurrent(P_A, P_G0, 1050, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 958, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 652, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 61, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 283, check)
    call createCurrent(P_g, P_d, P_dAnti, 1046, check)
    call createCurrent(P_uAnti, P_u, P_G0, 579, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 355, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 155, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 1104, check)
    call createCurrent(P_b, P_G0, P_bAnti, 495, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 363, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 980, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 800, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 718, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 508, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 564, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 544, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 416, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1204, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1190, check)
    call createCurrent(P_A, P_H, P_G0, 1138, check)
    call createCurrent(P_cAnti, P_c, P_H, 1008, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 14, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 661, check)
    call createCurrent(P_sAnti, P_s, P_Z, 251, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 210, check)
    call createCurrent(P_uAnti, P_A, P_u, 632, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 998, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1161, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1215, check)
    call createCurrent(P_H, P_A, P_A, P_H, 1154, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 1176, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 889, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 431, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 779, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 216, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1194, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 206, check)
    call createCurrent(P_G0, P_H, P_G0, 420, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 855, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 129, check)
    call createCurrent(P_A, P_A, P_A, P_A, 1171, check)
    call createCurrent(P_Z, P_bAnti, P_b, 906, check)
    call createCurrent(P_H, P_b, P_bAnti, 1021, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 1079, check)
    call createCurrent(P_uAnti, P_H, P_u, 957, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 680, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 950, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 169, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 1163, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 685, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1187, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 778, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 752, check)
    call createCurrent(P_H, P_d, P_dAnti, 708, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 591, check)
    call createCurrent(P_s, P_H, P_sAnti, 254, check)
    call createCurrent(P_cAnti, P_c, 1061, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 52, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1186, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 336, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 359, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 794, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 434, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 765, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1123, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 987, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 10, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 1023, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 382, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 898, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 334, check)
    call createCurrent(P_G0, P_tAnti, P_t, 362, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 962, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 16, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 294, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 880, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 774, check)
    call createCurrent(P_bAnti, P_A, P_b, 388, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 961, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 192, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 552, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 222, check)
    call createCurrent(P_G0, P_t, P_tAnti, 195, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 369, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 829, check)
    call createCurrent(P_cAnti, P_c, P_G0, 381, check)
    call createCurrent(P_dAnti, P_d, P_g, 189, check)
    call createCurrent(P_Z, P_H, P_G0, 480, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 398, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 839, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 193, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 459, check)
    call createCurrent(P_bAnti, P_g, P_b, 590, check)
    call createCurrent(P_b, P_Z, P_bAnti, 560, check)
    call createCurrent(P_d, P_dAnti, P_G0, 403, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 352, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 1030, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 926, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 66, check)
    call createCurrent(P_u, P_uAnti, 1060, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 1149, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 46, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 628, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 140, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 801, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 768, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 612, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 167, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 256, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 894, check)
    call createCurrent(P_Z, P_Z, 1135, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 344, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1201, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 25, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 264, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1192, check)
    call createCurrent(P_uAnti, P_Z, P_u, 357, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 523, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 476, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 615, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 977, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 468, check)
    call createCurrent(P_g, P_uAnti, P_u, 804, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 442, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 848, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 428, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 1017, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1063, check)
    call createCurrent(P_A, P_G0, P_A, P_G0, 1242, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 67, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1240, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1236, check)
    call createCurrent(P_WMinus, P_WPlus, 1121, check)
    call createCurrent(P_Z, P_sAnti, P_s, 656, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 648, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 218, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 119, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 1000, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 819, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 311, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 450, check)
    call createCurrent(P_H, P_G0, P_Z, 30, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 542, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 861, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 76, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 857, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 714, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 418, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 597, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 467, check)
    call createCurrent(P_WMinus, P_GPlus, 1119, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 159, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 618, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 290, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 215, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 569, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 100, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 828, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 942, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 1220, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1247, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 391, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 589, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 1243, check)
    call createCurrent(P_g, P_H, P_g, 1230, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 68, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 884, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 683, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 197, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 1036, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 295, check)
    call createCurrent(P_G0, P_d, P_dAnti, 11, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 553, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 572, check)
    call createCurrent(P_bAnti, P_G0, P_b, 972, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 1072, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 112, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 939, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 918, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 306, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 186, check)
    call createCurrent(P_H, P_Z, P_G0, 654, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 298, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 1044, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1129, check)
    call createCurrent(P_c, P_cAnti, P_H, 790, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 882, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 851, check)
    call createCurrent(P_Z, P_H, P_H, P_A, 1084, check)
    call createCurrent(P_H, P_H, P_H, P_H, 404, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 902, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 771, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 791, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 995, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 789, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1095, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 417, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 870, check)
    call createCurrent(P_bAnti, P_Z, P_b, 1042, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 458, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 835, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1070, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 971, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 387, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 966, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 435, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 859, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 713, check)
    call createCurrent(P_cAnti, P_H, P_c, 711, check)
    call createCurrent(P_d, P_dAnti, P_A, 328, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 204, check)
    call createCurrent(P_A, P_Z, 1094, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 268, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 331, check)
    call createCurrent(P_G0, P_G0, P_H, 825, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 633, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 1009, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 635, check)
    call createCurrent(P_G0, P_A, P_A, P_G0, 1214, check)
    call createCurrent(P_cAnti, P_c, P_A, 785, check)
    call createCurrent(P_eMinus, P_ePlus, 1083, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 626, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 1037, check)
    call createCurrent(P_c, P_cAnti, 1139, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 705, check)
    call createCurrent(P_H, P_A, P_Z, 1132, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 554, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 550, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 201, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 230, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 776, check)
    call createCurrent(P_s, P_sAnti, P_Z, 756, check)
    call createCurrent(P_WPlus, P_WMinus, 1103, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 695, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 196, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 513, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 135, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1058, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 365, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1232, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 353, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 940, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 527, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 1001, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 974, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 570, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1085, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 596, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 219, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 1210, check)
    call createCurrent(P_g, P_s, P_sAnti, 373, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 241, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 327, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 250, check)
    call createCurrent(P_H, P_H, P_A, P_A, 1178, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 672, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 535, check)
    call createCurrent(P_b, P_bAnti, 1134, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 576, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 194, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 226, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1062, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 501, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 890, check)
    call createCurrent(P_t, P_tAnti, 1080, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 224, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 453, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 741, check)
    call createCurrent(P_c, P_A, P_cAnti, 69, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 184, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 267, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 372, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 1014, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 346, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 489, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 815, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 472, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 341, check)
    call createCurrent(P_d, P_G0, P_dAnti, 128, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 887, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 85, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 524, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 491, check)
    call createCurrent(P_A, P_H, P_A, 1225, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 370, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 339, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 723, check)
    call createCurrent(P_uAnti, P_u, P_A, 665, check)
    call createCurrent(P_Z, P_A, P_H, 1101, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 444, check)
    call createCurrent(P_g, P_g, P_g, 415, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 604, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 952, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 1111, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 300, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1158, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 807, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 712, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 1006, check)
    call createCurrent(P_Z, P_H, P_Z, 97, check)
    call createCurrent(P_tAnti, P_G0, P_t, 886, check)
    call createCurrent(P_A, P_tAnti, P_t, 565, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 981, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 260, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 775, check)
    call createCurrent(P_G0, P_A, P_G0, P_A, 1224, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 606, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 90, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 631, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 8, check)
    call createCurrent(P_Z, P_Z, P_Z, P_A, 1211, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 91, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 731, check)
    call createCurrent(P_tAnti, P_Z, P_t, 865, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 477, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 609, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 853, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 530, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 200, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 733, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 147, check)
    call createCurrent(P_Z, P_d, P_dAnti, 2, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 1005, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 484, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 581, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 258, check)
    call createCurrent(P_d, P_dAnti, P_H, 655, check)
    call createCurrent(P_s, P_G0, P_sAnti, 582, check)
    call createCurrent(P_c, P_cAnti, P_G0, 537, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 1016, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 149, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 743, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 185, check)
    call createCurrent(P_b, P_bAnti, P_g, 734, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 168, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 39, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 563, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 500, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 106, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1183, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 1004, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1206, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 307, check)
    call createCurrent(P_A, P_s, P_sAnti, 236, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 1039, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 401, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 179, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 702, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 209, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 437, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 663, check)
    call createCurrent(P_g, P_c, P_cAnti, 378, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1221, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 854, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 137, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 1013, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 843, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 759, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 104, check)
    call createCurrent(P_A, P_H, P_Z, 1141, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 228, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 916, check)
    call createCurrent(P_d, P_g, P_dAnti, 338, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 323, check)
    call createCurrent(P_g, P_t, P_tAnti, 441, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 727, check)
    call createCurrent(P_H, P_tAnti, P_t, 445, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1200, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 964, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 136, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1151, check)
    call createCurrent(P_sAnti, P_Z, P_s, 954, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 675, check)
    call createCurrent(P_A, P_Z, P_H, 1057, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1207, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 454, check)
    call createCurrent(P_GMinus, P_WPlus, 1077, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 183, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 32, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 893, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 99, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 386, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 456, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 811, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 842, check)
    call createCurrent(P_c, P_cAnti, P_g, 622, check)
    call createCurrent(P_dAnti, P_d, P_A, 134, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 817, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 805, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 203, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 599, check)
    call createCurrent(P_s, P_sAnti, P_G0, 187, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 620, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1180, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 568, check)
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 541, check)
    call createCurrent(P_g, P_sAnti, P_s, 313, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 822, check)
    call createCurrent(P_bAnti, P_b, 1056, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 483, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 188, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 526, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 471, check)
    call createCurrent(P_dAnti, P_d, P_H, 517, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 551, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 41, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 521, check)
    call createCurrent(P_A, P_t, P_tAnti, 932, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 666, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 976, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 5, check)
    call createCurrent(P_u, P_H, P_uAnti, 83, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 945, check)
    call createCurrent(P_Z, P_tAnti, P_t, 296, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 969, check)
    call createCurrent(P_G0, P_G0, 1055, check)
    call createCurrent(P_g, P_b, P_bAnti, 953, check)
    call createCurrent(P_A, P_b, P_bAnti, 830, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1156, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 262, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 653, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1102, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 4, check)
    call createCurrent(P_Z, P_s, P_sAnti, 389, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 1029, check)
    call createCurrent(P_sAnti, P_g, P_s, 924, check)
    call createCurrent(P_Z, P_t, P_tAnti, 690, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 968, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 93, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 270, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 278, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 638, check)
    call createCurrent(P_c, P_H, P_cAnti, 1033, check)
    call createCurrent(P_GPlus, P_WMinus, 1049, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 245, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 557, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 684, check)
    call createCurrent(P_sAnti, P_s, P_g, 498, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 181, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 400, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 488, check)
    call createCurrent(P_A, P_H, P_A, P_H, 1241, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 795, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 473, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 162, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 255, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 856, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 518, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1245, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1090, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 619, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1228, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 303, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1184, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 803, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 280, check)
    call createCurrent(P_b, P_g, P_bAnti, 455, check)
    call createCurrent(P_tAnti, P_t, P_g, 65, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 57, check)
    call createCurrent(P_g, P_cAnti, P_c, 780, check)
    call createCurrent(P_d, P_H, P_dAnti, 33, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 178, check)
    call createCurrent(P_u, P_g, P_uAnti, 161, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 190, check)
    call createCurrent(P_Z, P_H, P_A, 1128, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 850, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 837, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 658, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 316, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 674, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1093, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 70, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 496, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 742, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1188, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 393, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 343, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 502, check)
    call createCurrent(P_sAnti, P_s, P_G0, 691, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 350, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 921, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 421, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 424, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 432, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 643, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 474, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 573, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 617, check)
    call createCurrent(P_u, P_G0, P_uAnti, 1010, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 414, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 703, check)
    call createCurrent(P_g, P_u, P_uAnti, 812, check)
    call createCurrent(P_H, P_bAnti, P_b, 345, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 43, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 919, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 214, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 485, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 242, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 938, check)
    call createCurrent(P_uAnti, P_u, P_Z, 114, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 443, check)
    call createCurrent(P_G0, P_sAnti, P_s, 729, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1051, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 868, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 1024, check)
    call createCurrent(P_H, P_t, P_tAnti, 105, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 348, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 111, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 781, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 895, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 9, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 1015, check)
    call createCurrent(P_H, P_dAnti, P_d, 139, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 949, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 395, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 688, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 282, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 457, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 1019, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 396, check)
    call createCurrent(P_A, P_Z, P_A, P_Z, 1238, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 301, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 289, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 73, check)
    call createCurrent(P_H, P_u, P_uAnti, 233, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 664, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 232, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 529, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 943, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 598, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 138, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 644, check)
    call createCurrent(P_g, P_g, 1091, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 707, check)
    call createCurrent(P_H, P_A, P_G0, 1136, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 960, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1159, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 464, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 826, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 991, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 75, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 676, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 782, check)
    call createCurrent(P_H, P_c, P_cAnti, 462, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 978, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 747, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 384, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 171, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 271, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 556, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 578, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 669, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 522, check)
    call createCurrent(P_g, P_dAnti, P_d, 406, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 704, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 792, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 287, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 911, check)
    call createCurrent(P_bAnti, P_b, P_H, 858, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 989, check)
    call createCurrent(P_d, P_Z, P_dAnti, 636, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 419, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 433, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 736, check)
    call createCurrent(P_g, P_bAnti, P_b, 905, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 614, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 240, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1115, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 447, check)
    call createCurrent(P_t, P_A, P_tAnti, 659, check)
    call createCurrent(P_ePlus, P_eMinus, 1081, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1168, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 587, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 892, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 753, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 515, check)
    call createCurrent(P_G0, P_Z, P_H, 117, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 700, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1162, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1185, check)
    call createCurrent(P_cAnti, P_c, P_Z, 481, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 390, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 767, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 79, check)
    call createCurrent(P_Z, P_A, 1100, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 252, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 383, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 959, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 40, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 347, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 737, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 122, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 479, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 12, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 103, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 429, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 625, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1181, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 335, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 740, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 154, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 247, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 125, check)
    call createCurrent(P_bAnti, P_b, P_A, 917, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 641, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 867, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 96, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 605, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 647, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 646, check)
    call createCurrent(P_muMinus, P_muPlus, 1052, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 220, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 37, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 446, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 909, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 948, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 50, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 325, check)
    call createCurrent(P_t, P_tAnti, P_Z, 318, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 784, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 1011, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 302, check)
    call createCurrent(P_b, P_bAnti, P_Z, 503, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 110, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 261, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 763, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 470, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 642, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 315, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 592, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 760, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 888, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 319, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 875, check)
    call createCurrent(P_A, P_H, P_Z, P_H, 1067, check)
    call createCurrent(P_cAnti, P_G0, P_c, 520, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 979, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 802, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 873, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 970, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 773, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 1137, check)
    call createCurrent(P_dAnti, P_G0, P_d, 511, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 469, check)
    call createCurrent(P_A, P_A, 1066, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 71, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 158, check)
    call createCurrent(P_Z, P_Z, P_H, 217, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 412, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 227, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 333, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 639, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 808, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1109, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 900, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1153, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 799, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 602, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1177, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 177, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 408, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 750, check)
    call createCurrent(P_tAnti, P_t, P_G0, 146, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 715, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 899, check)
    call createCurrent(P_s, P_sAnti, P_g, 1034, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 87, check)
    call createCurrent(P_tAnti, P_g, P_t, 836, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 113, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 231, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 540, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 108, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 657, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 645, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 922, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 630, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 681, check)
    call createCurrent(P_u, P_uAnti, P_g, 102, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 78, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1113, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 291, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 143, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 667, check)
    call createCurrent(P_u, P_uAnti, P_A, 153, check)
    call createCurrent(P_t, P_g, P_tAnti, 935, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 662, check)
    call createCurrent(P_Z, P_G0, 1097, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 762, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1170, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 519, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 871, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 263, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 797, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 577, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 63, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 1018, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 244, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 150, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 115, check)
    call createCurrent(P_H, P_uAnti, P_u, 561, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 627, check)
    call createCurrent(P_WPlus, P_GMinus, 1073, check)
    call createCurrent(P_b, P_H, P_bAnti, 407, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 874, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 897, check)
    call createCurrent(P_uAnti, P_g, P_u, 340, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 124, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 532, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 492, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1198, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 490, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 265, check)
    call createCurrent(P_H, P_A, P_A, 1179, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 1025, check)
    call createCurrent(P_G0, P_A, 1065, check)
    call createCurrent(P_H, P_s, P_sAnti, 475, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 956, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 493, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 329, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 516, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 786, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 312, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 376, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 813, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 915, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 47, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1173, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1235, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 566, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 238, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1110, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 997, check)
    call createCurrent(P_tAnti, P_A, P_t, 31, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 297, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1140, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 986, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 199, check)
    call createCurrent(P_c, P_cAnti, P_A, 679, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 509, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 879, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 285, check)
    call createCurrent(P_u, P_Z, P_uAnti, 379, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 692, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 545, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1226, check)
    call createCurrent(P_H, P_Z, P_A, 1096, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 269, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 845, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1059, check)
    call createCurrent(P_s, P_sAnti, P_A, 45, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 722, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 58, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 86, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 349, check)
    call createCurrent(P_dAnti, P_d, P_G0, 274, check)
  end subroutine fill_current_1
end module currents_info1
